/*===========================================================================*
 *                                                                           *
 *  aetkvlib.h  VAX library prototypes                                       *
 *                                                                           *
 *  Written:    93/04/06    Pieter Hintjens (copied and cleaned-up from VAX) *
 *  Revised:    94/10/22                                                     *
 *                                                                           *
 *  Purpose:    Provides portable (non-$) equivalents for Digital C names.   *
 *              Supports test compilation under MS-DOS.  VAX names are       *
 *              converted thus: '$' is replaced by '_', then '__' by '_'.    *
 *                                                                           *
 *  Author:     Pieter A. Hintjens                                           *
 *              Pijlstraat 9                                                 *
 *              2060 Antwerpen, Belgium                                      *
 *              ph@mymail.com                                                *
 *              (+323) 231.5277                                              *
 *                                                                           *
 *  FSM Code Generator.  Copyright (c) 1991-95 Pieter A. Hintjens.           *
 *                                                                           *
 *  This program is free software; you can redistribute it and/or modify     *
 *  it under the terms of the GNU General Public License as published by     *
 *  the Free Software Foundation; either version 2 of the License, or        *
 *  (at your option) any later version.                                      *
 *                                                                           *
 *  This program is distributed in the hope that it will be useful,          *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 *  GNU General Public License for more details.                             *
 *                                                                           *
 *  You should have received a copy of the GNU General Public License        *
 *  along with this program; if not, write to the Free Software              *
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                *
 *===========================================================================*/

#ifndef _AETKVLIB_INCLUDED              /*  Allow multiple inclusions        */
#define _AETKVLIB_INCLUDED

/*- Define symbols and constants --------------------------------------------*/

#ifdef __MSDOS__
extern long                        ACMS_SENDER_DISCONN;
extern long                        ACMS_EFN;
extern long                        PPL_K_INIT_SIZE;
#define DEV_M_REC                  1
#define DEV_M_CCL                  2
#define DEV_M_TRM                  4
#define DEV_M_DIR                  8
#define DEV_M_SDI                  16
#define DEV_M_SQD                  32
#define DEV_M_SPL                  64
#define DEV_M_OPR                  128
#define DEV_M_RCT                  256
#define DEV_M_NET                  8192
#define DEV_M_FOD                  16384
#define DEV_M_DUA                  32768
#define DEV_M_SHR                  65536L
#define DEV_M_GEN                  131072L
#define DEV_M_AVL                  262144L
#define DEV_M_MNT                  524288L
#define DEV_M_MBX                  1048576L
#define DEV_M_DMT                  2097152L
#define DEV_M_ELG                  4194304L
#define DEV_M_ALL                  8388608L
#define DEV_M_FOR                  16777216L
#define DEV_M_SWL                  33554432L
#define DEV_M_IDV                  67108864L
#define DEV_M_ODV                  134217728L
#define DEV_M_RND                  268435456L
#define DEV_M_RTM                  536870912L
#define DEV_M_RCK                  1073741824L
#define DEV_M_WCK                  -2147483648L
#define DEV_M_CLU                  1
#define DEV_M_DET                  2
#define DEV_M_RTT                  4
#define DEV_M_CDP                  8
#define DEV_M_2P                   16
#define DEV_M_MSCP                 32
#define DEV_M_SSM                  64
#define DEV_M_SRV                  128
#define DEV_M_RED                  256
#define DEV_M_NNM                  512
#define DEV_M_WBC                  1024
#define DEV_M_WTC                  2048
#define DEV_M_HOC                  4096
#define DEV_M_LOC                  8192
#define DSC_K_CLASS_S              1
#define DSC_K_DTYPE_T              14
#define DVI_DEVCHAR                2
#define DVI_DEVCLASS               4
#define DVI_DEVTYPE                6
#define DVI_DEVBUFSIZ              8
#define DVI_DEVDEPEND              10
#define DVI_UNIT                   12
#define DVI_PID                    14
#define DVI_OWNUIC                 16
#define DVI_VPROT                  18
#define DVI_ERRCNT                 20
#define DVI_OPCNT                  22
#define DVI_RECSIZ                 24
#define DVI_MAXBLOCK               26
#define DVI_DEVDEPEND2             28
#define DVI_REFCNT                 30
#define DVI_DEVNAM                 32
#define DVI_VOLNAM                 34
#define DVI_SECTORS                36
#define DVI_TRACKS                 38
#define DVI_CYLINDERS              40
#define DVI_FREEBLOCKS             42
#define DVI_LOGVOLNAM              44
#define DVI_VOLNUMBER              46
#define DVI_VOLCOUNT               48
#define DVI_ROOTDEVNAM             50
#define DVI_NEXTDEVNAM             52
#define DVI_TRANSCNT               54
#define DVI_MOUNTCNT               56
#define DVI_CLUSTER                58
#define DVI_MAXFILES               60
#define DVI_SERIALNUM              62
#define DVI_ACPPID                 64
#define DVI_ACPTYPE                66
#define DVI_CONCEALED              68
#define DVI_STS                    226
#define DVI_DEVSTS                 228
#define DVI_DEVCHAR2               230
#define DVI_FULLDEVNAM             232
#define DVI_LOCKID                 234
#define DVI_ALLDEVNAM              236
#define DVI_VOLSETMEM              238
#define DVI_DEVLOCKNAM             240
#define DVI_ALLOCLASS              242
#define DVI_ALT_HOST_AVAIL         244
#define DVI_ALT_HOST_NAME          246
#define DVI_ALT_HOST_TYPE          248
#define DVI_HOST_AVAIL             250
#define DVI_HOST_COUNT             252
#define DVI_HOST_NAME              254
#define DVI_HOST_TYPE              256
#define DVI_REMOTE_DEVICE          258
#define DVI_SERVED_DEVICE          260
#define DVI_SHDW_MASTER            264
#define DVI_SHDW_MASTER_NAME       266
#define DVI_SHDW_MEMBER            268
#define DVI_SHDW_MERGE_COPYING     270
#define DVI_SHDW_NEXT_MBR_NAME     272
#define DVI_TT_PHYDEVNAM           274
#define DVI_TT_DECCRT2             276
#define DVI_MEDIA_NAME             278
#define DVI_MEDIA_TYPE             280
#define DVI_MEDIA_ID               282
#define DVI_SHDW_FAILED_MEMBER     284
#define DVI_MSCP_UNIT_NUMBER       286
#define DVI_DISPLAY_DEVNAM         288
#define DVI_TT_ACCPORNAM           290
#define DVI_DEVDEPEND3             292
#define DVI_TT_MULTISESSION        294
#define DVI_TT_DECCRT3             296
#define IO_ACCESS                  50
#define IO_ACPCONTROL              56
#define IO_ADDSHAD                 14
#define IO_AVAILABLE               17
#define IO_CLEAN                   30
#define IO_CONINTREAD              60
#define IO_CONINTWRITE             61
#define IO_COPYSHAD                15
#define IO_CREATE                  51
#define IO_CRESHAD                 13
#define IO_DEACCESS                52
#define IO_DELETE                  53
#define IO_DIAGNOSE                29
#define IO_DRVCLR                  4
#define IO_DSE                     21
#define IO_ERASETAPE               6
#define IO_FLUSH                   42
#define IO_FORMAT                  30
#define IO_FREECAP                 41
#define IO_INITIALIZE              4
#define IO_K_LOOPTEST              57344
#define IO_K_PTPBSC                8192
#define IO_K_SRRUNOUT              0
#define IO_LOADMCODE               1
#define IO_LOGICAL                 47
#define IO_M_ABORT                 256
#define IO_M_ACCEPT                128
#define IO_M_ACCESS                64
#define IO_M_ALLHOSTS              64
#define IO_M_ATTNAST               256
#define IO_M_AUTXOF_DIS            16384
#define IO_M_AUTXOF_ENA            8192
#define IO_M_BINARY                64
#define IO_M_BRDCST                16384
#define IO_M_BREAKTHRU             512
#define IO_M_CANCTRLO              64
#define IO_M_CLEAR                 4096
#define IO_M_CLR_COUNT             1024
#define IO_M_CLSEREXCP             512
#define IO_M_COMMOD                64
#define IO_M_CREATE                128
#define IO_M_CTRL                  512
#define IO_M_CTRLCAST              256
#define IO_M_CTRLYAST              128
#define IO_M_CVTLOW                256
#define IO_M_CYCLE                 4096
#define IO_M_DATACHECK             16384
#define IO_M_DATAPATH              1024
#define IO_M_DELDATA               64
#define IO_M_DELETE                256
#define IO_M_DIAGNOSTIC            256
#define IO_M_DISSOLVE              128
#define IO_M_DMOUNT                1024
#define IO_M_DSABLMBX              1024
#define IO_M_ENABLMBX              128
#define IO_M_ENCRYPT               8192
#define IO_M_ERASE                 1024
#define IO_M_ESCAPE                16384
#define IO_M_EXTEND                32768L
#define IO_M_FCODE                 63
#define IO_M_FMODIFIERS            65472L
#define IO_M_FORCEPATH             64
#define IO_M_HANGUP                512
#define IO_M_INCLUDE               2048
#define IO_M_INHERLOG              2048
#define IO_M_INHEXTGAP             4096
#define IO_M_INHRETRY              32768L
#define IO_M_INHSEEK               4096
#define IO_M_INTCLOCK              4096
#define IO_M_INTERRUPT             64
#define IO_M_LASTBLOCK             1024
#define IO_M_LINE_OFF              512
#define IO_M_LINE_ON               2048
#define IO_M_LOCATE                128
#define IO_M_LOCKBUF               256
#define IO_M_LOOP                  128
#define IO_M_LOOP_EXT              4096
#define IO_M_LPBEXT                8192
#define IO_M_LPBINT                16384
#define IO_M_LT_CONNECT            64
#define IO_M_LT_DISCON             128
#define IO_M_LT_MAP_FILLER         1
#define IO_M_LT_MAP_LNKNAM         16
#define IO_M_LT_MAP_NETADR         32
#define IO_M_LT_MAP_NODNAM         2
#define IO_M_LT_MAP_PORNAM         4
#define IO_M_LT_MAP_PORT           512
#define IO_M_LT_MAP_SRVNAM         8
#define IO_M_LT_RATING             1024
#define IO_M_LT_RCV_INFO           4096
#define IO_M_LT_READPORT           256
#define IO_M_LT_SOL_INFO           2048
#define IO_M_MAINT                 64
#define IO_M_MAINTLOOP             512
#define IO_M_MORE                  64
#define IO_M_MOUNT                 512
#define IO_M_MOVETRACKD            128
#define IO_M_MSCP_FORMAT           64
#define IO_M_MSCPMODIFS            256
#define IO_M_MULTIPLE              128
#define IO_M_NEWLINE               1024
#define IO_M_NOBLOCK               512
#define IO_M_NOCLEANUP             256
#define IO_M_NOCTSWAIT             64
#define IO_M_NODSRWAIT             256
#define IO_M_NOECHO                64
#define IO_M_NOFILTR               512
#define IO_M_NOFORMAT              256
#define IO_M_NOMRSP                64
#define IO_M_NORSWAIT              1024
#define IO_M_NOW                   64
#define IO_M_NOWAIT                128
#define IO_M_OPPOSITE              512
#define IO_M_OUTBAND               1024
#define IO_M_PACKED                128
#define IO_M_PURGE                 2048
#define IO_M_QUALIFIED             128
#define IO_M_RD_COUNT              256
#define IO_M_RD_MEM                64
#define IO_M_RD_MODEM              128
#define IO_M_READATTN              128
#define IO_M_READCSR               32768L
#define IO_M_REDIRECT              64
#define IO_M_REFRESH               8192
#define IO_M_REMOUNT               2048
#define IO_M_RESET                 8192
#define IO_M_RESPONSE              64
#define IO_M_REVERSE               64
#define IO_M_SET_MODEM             1024
#define IO_M_SETBSIZE              512
#define IO_M_SETCUADR              256
#define IO_M_SETENQCNT             2048
#define IO_M_SETEVF                64
#define IO_M_SETFNCT               512
#define IO_M_SETPOOLSZ             1024
#define IO_M_SETPROT               512
#define IO_M_SHADOW                64
#define IO_M_SHUTDOWN              128
#define IO_M_SKPSECINH             512
#define IO_M_SLAVLOOP              128
#define IO_M_SPINDOWN              64
#define IO_M_STARTUP               64
#define IO_M_SWAP                  256
#define IO_M_SYNCH                 512
#define IO_M_TIMED                 128
#define IO_M_TRMNOECHO             4096
#define IO_M_TT_ABORT              4096
#define IO_M_TT_CONNECT            2048
#define IO_M_TT_DISCON             4096
#define IO_M_TT_PROCESS            8192
#define IO_M_TYPEAHDCNT            64
#define IO_M_UNLOOP                256
#define IO_M_WORD                  64
#define IO_M_WRTATTN               256
#define IO_MODIFY                  54
#define IO_MOUNT                   57
#define IO_NETCONTROL              54
#define IO_NOP                     0
#define IO_OFFSET                  6
#define IO_PACKACK                 8
#define IO_PHYSICAL                31
#define IO_QSTOP                   7
#define IO_RDSTATS                 13
#define IO_READHEAD                14
#define IO_READLBLK                33
#define IO_READPBLK                12
#define IO_READPRESET              25
#define IO_READPROMPT              55
#define IO_READRCT                 9
#define IO_READRCTL                34
#define IO_READTRACKD              16
#define IO_READVBLK                49
#define IO_RECAL                   3
#define IO_RELEASE                 5
#define IO_REMSHAD                 16
#define IO_REREADN                 22
#define IO_REREADP                 23
#define IO_RETCENTER               7
#define IO_REWIND                  36
#define IO_REWINDOFF               34
#define IO_SEARCH                  9
#define IO_SEEK                    2
#define IO_SENSECHAR               27
#define IO_SENSEMODE               39
#define IO_SETCHAR                 26
#define IO_SETCLOCK                55
#define IO_SETCLOCKP               5
#define IO_SETMODE                 35
#define IO_SETPRFPATH              18
#define IO_SHADMV                  29
#define IO_SKIPFILE                37
#define IO_SKIPRECORD              38
#define IO_SPACEFILE               2
#define IO_SPACERECORD             9
#define IO_STARTDATA               56
#define IO_STARTDATAP              6
#define IO_STARTMPROC              2
#define IO_STARTSPNDL              25
#define IO_STOP                    3
#define IO_TTY_PORT                41
#define IO_TTYREADALL              58
#define IO_TTYREADPALL             59
#define IO_UNLOAD                  1
#define IO_VIRTUAL                 63
#define IO_WRITECHECK              10
#define IO_WRITECHECKH             24
#define IO_WRITEHEAD               13
#define IO_WRITELBLK               32
#define IO_WRITEMARK               28
#define IO_WRITEOF                 40
#define IO_WRITEPBLK               11
#define IO_WRITERET                24
#define IO_WRITETRACKD             15
#define IO_WRITEVBLK               48
#define IO_WRTTMKR                 29
#define JPI_IMAGNAME               519
#define JPI_PID                    793
#define JPI_PRCNAM                 796
#define LAT_ALREADYDEF             24544835L
#define LAT_CANTBIND               24543250L
#define LAT_CMDBUFOVFLW            24543244L
#define LAT_CONAPPLICATION         24551364L
#define LAT_CONSISTANCY            24546458L
#define LAT_CONTEXTINIT            24546442L
#define LAT_CONTIMEOUT             24551356L
#define LAT_FACILITY               374
#define LAT_ILLSTRUCT              24546450L
#define LAT_INTERNAL               24543378L
#define LAT_IVCMD                  24543258L
#define LAT_IVDEV                  24543266L
#define LAT_IVQUAL                 24543274L
#define LAT_LINKACTIVE             24543418L
#define LAT_LINKEXISTS             24543410L
#define LAT_LOCKED                 24543394L
#define LAT_LOGSTOPPED             24546434L
#define LAT_LRJACCESSDENIED        24551308L
#define LAT_LRJACCESSREJECT        24551300L
#define LAT_LRJCORRUPT             24551316L
#define LAT_LRJDELETED             24551340L
#define LAT_LRJDISABLE             24551276L
#define LAT_LRJILLEGAL             24551348L
#define LAT_LRJINUSE               24551260L
#define LAT_LRJNAMEUNKNOWN         24551292L
#define LAT_LRJNOSERVICE           24551268L
#define LAT_LRJNOSTART             24551332L
#define LAT_LRJNOTOFFERED          24551284L
#define LAT_LRJNOTSUPPORT          24551324L
#define LAT_LRJRESOURCE            24551252L
#define LAT_LRJSHUTDOWN            24551244L
#define LAT_LRJUNKNOWN             24551236L
#define LAT_MAXLINKS               24543426L
#define LAT_MAXSERV                24543282L
#define LAT_NOCONTEXT              24544851L
#define LAT_NOHISTORY              24543346L
#define LAT_NOLINK                 24543432L
#define LAT_NONODE                 24543298L
#define LAT_NOSERVERS              24543467L
#define LAT_NOSTARTHIST            24543354L
#define LAT_NOSUCHSERV             24543362L
#define LAT_NOTDEF                 24544843L
#define LAT_NOTERMS                24543290L
#define LAT_NOTFROMLAT             24543370L
#define LAT_NOTINITED              24543314L
#define LAT_NOTLOADED              24543306L
#define LAT_NOTSET                 24543338L
#define LAT_NOTSTARTED             24543322L
#define LAT_NOTSTOPPED             24543330L
#define LAT_SERVEXISTS             24543386L
#define LAT_SET                    24543459L
#define LAT_STARTED                24543443L
#define LAT_STOPPED                24543451L
#define LAT_UNDEFLINK              24543402L
#define LIB_ABSTIMREQ              1410044L
#define LIB_AMBDATTIM              1410116L
#define LIB_AMBKEY                 1409596L
#define LIB_AMBSYMDEF              1409908L
#define LIB_ATTCONSTO              1409660L
#define LIB_ATTREQREF              1409940L
#define LIB_BADBLOADR              1409636L
#define LIB_BADBLOSIZ              1409644L
#define LIB_BADCCC                 1425408L
#define LIB_BADSTA                 1409540L
#define LIB_BADTAGVAL              1409972L
#define LIB_BADZONE                1410004L
#define LIB_DECOVF                 1409852L
#define LIB_DEFFORUSE              1413168L
#define LIB_DELTIMREQ              1410052L
#define LIB_DESSTROVF              1409836L
#define LIB_EF_ALRFRE              1409692L
#define LIB_EF_ALRRES              1409700L
#define LIB_EF_RESSYS              1409708L
#define LIB_ELETOOLON              1410100L
#define LIB_ENGLUSED               1413160L
#define LIB_EOMERROR               1425416L
#define LIB_EOMFATAL               1425424L
#define LIB_EOMWARN                1425432L
#define LIB_ERRROUCAL              1409065L
#define LIB_FACILITY               21
#define LIB_FATERRLIB              1409548L
#define LIB_FILFAIMAT              1413128L
#define LIB_FLTOVF                 1409860L
#define LIB_FLTUND                 1409868L
#define LIB_GSDTYP                 1425440L
#define LIB_ILLCOMPONENT           1410108L
#define LIB_ILLFMLCNT              1425448L
#define LIB_ILLFORMAT              1410132L
#define LIB_ILLINISTR              1410084L
#define LIB_ILLMODNAM              1425456L
#define LIB_ILLPSCLEN              1425464L
#define LIB_ILLRECLEN              1425472L
#define LIB_ILLRECLN2              1425480L
#define LIB_ILLRECTY2              1425496L
#define LIB_ILLRECTYP              1425488L
#define LIB_ILLSYMLEN              1425504L
#define LIB_INCDATTIM              1410124L
#define LIB_INPSTRTRU              1409564L
#define LIB_INSCLIMEM              1409900L
#define LIB_INSEF                  1409684L
#define LIB_INSLUN                 1409716L
#define LIB_INSVIRMEM              1409556L
#define LIB_INTLOGERR              1409580L
#define LIB_INTOVF                 1409844L
#define LIB_INVARG                 1409588L
#define LIB_INVARGORD              1410036L
#define LIB_INVCHA                 1409764L
#define LIB_INVCLADSC              1409812L
#define LIB_INVCLADTY              1409820L
#define LIB_INVCVT                 1409796L
#define LIB_INVDTYDSC              1409804L
#define LIB_INVFILSPE              1409948L
#define LIB_INVNBDS                1409828L
#define LIB_INVOPER                1410060L
#define LIB_INVOPEZON              1409980L
#define LIB_INVSCRPOS              1409748L
#define LIB_INVSTRDES              1409572L
#define LIB_INVSYMNAM              1409932L
#define LIB_INVTYPE                1409676L
#define LIB_INVXAB                 1409956L
#define LIB_IVTIME                 1410012L
#define LIB_K_VM_FIRST_FIT         1
#define LIB_K_VM_FIXED             4
#define LIB_K_VM_FREQ_SIZES        3
#define LIB_K_VM_QUICK_FIT         2
#define LIB_KEYALRINS              1409057L
#define LIB_KEYNOTFOU              1409788L
#define LIB_LUNALRFRE              1409724L
#define LIB_LUNRESSYS              1409732L
#define LIB_M_VM_BOUNDARY_TAGS     1
#define LIB_M_VM_EXTEND_AREA       32
#define LIB_M_VM_FREE_FILL0        8
#define LIB_M_VM_FREE_FILL1        16
#define LIB_M_VM_GET_FILL0         2
#define LIB_M_VM_GET_FILL1         4
#define LIB_NEGANS                 1413136L
#define LIB_NEGTIM                 1410028L
#define LIB_NO_STRACT              1409964L
#define LIB_NOCLI                  1409916L
#define LIB_NOEOM                  1425512L
#define LIB_NORMAL                 1409025L
#define LIB_NOSUCHSYM              1409892L
#define LIB_NOTFOU                 1409652L
#define LIB_NOTIMP                 1409996L
#define LIB_NUMELEMENTS            1410092L
#define LIB_ONEDELTIM              1410020L
#define LIB_ONEENTQUE              1409049L
#define LIB_OUTSTRTRU              1413120L
#define LIB_PAGLIMEXC              1409988L
#define LIB_PUSSTAOVE              1409612L
#define LIB_QUEWASEMP              1409772L
#define LIB_QUICONACT              1413152L
#define LIB_QUIPRO                 1413144L
#define LIB_RECTOOSML              1425520L
#define LIB_REENTRANCY             1410068L
#define LIB_RESTART                1409073L
#define LIB_ROPRAND                1409876L
#define LIB_SCRBUFOVF              1409740L
#define LIB_SECINTFAI              1409756L
#define LIB_SEQUENCE               1425528L
#define LIB_SEQUENCE2              1425536L
#define LIB_SIGNO_ARG              1409628L
#define LIB_STRIS_INT              1409780L
#define LIB_STRLVL                 1425544L
#define LIB_STRTRU                 1409041L
#define LIB_SYNTAXERR              1409668L
#define LIB_UNECLIERR              1409924L
#define LIB_UNRFORCOD              1410076L
#define LIB_UNRKEY                 1409604L
#define LIB_USEFLORES              1409620L
#define LIB_WRONUMARG              1409884L
#define LNM_ACMODE                 6
#define LNM_ATTRIBUTES             3
#define LNM_INDEX                  1
#define LNM_LENGTH                 5
#define LNM_LNMB_ADDR              9
#define LNM_M_CASE_BLIND           33554432L
#define LNM_M_CONCEALED            256
#define LNM_M_CONFINE              2
#define LNM_M_CREATE_IF            16777216L
#define LNM_M_CRELOG               4
#define LNM_M_EXISTS               1024
#define LNM_M_NO_ALIAS             1
#define LNM_M_SHAREABLE            65536
#define LNM_M_TABLE                8
#define LNM_M_TERMINAL             512
#define LNM_MAX_INDEX              7
#define LNM_PARENT                 8
#define LNM_STRING                 2
#define LNM_TABLE                  4
#define OPC_RQ_RQST                3
#define OPC_M_NM_OPER1             4096
#define OPC_M_NM_OPER2             8192
#define OPC_M_NM_OPER3             16384
#define OPC_M_NM_OPER4             32768L
#define OPC_M_NM_OPER5             65536L
#define OPC_M_NM_OPER6             131072L
#define OPC_M_NM_OPER7             262144L
#define OPC_M_NM_OPER8             524288L
#define OPC_M_NM_OPER9             1048576L
#define OPC_M_NM_OPER10            2097152L
#define OPC_M_NM_OPER11            4194304L
#define OPC_M_NM_OPER12            8388608L
#define PPL_ABNORMAL_EXIT          31572027L
#define PPL_ABNTERMIN              31556220L
#define PPL_ATTUSETWO              31556276L
#define PPL_BUFOVFL                31559680L
#define PPL_CREATED                31555601L
#define PPL_CREATED_SOME           31555625L
#define PPL_ELEALREXI              31571971L
#define PPL_EVENT_OCCURRED         31572011L
#define PPL_EXHNEVCAL              31556228L
#define PPL_EXITSTATUS             31572003L
#define PPL_FACILITY               481
#define PPL_IN_BARRIER_WAIT        31556284L
#define PPL_INCOMPEXI              31556100L
#define PPL_INSVIRMEM              31556108L
#define PPL_INTDELPRC              31571987L
#define PPL_INTTERMIN              31571995L
#define PPL_INVARG                 31556236L
#define PPL_INVDESC                31556116L
#define PPL_INVELEID               31556124L
#define PPL_INVELENAM              31556132L
#define PPL_INVELETYP              31556140L
#define PPL_INVNUMCHI              31556148L
#define PPL_INVSEMINI              31556156L
#define PPL_INVSEMMAX              31556164L
#define PPL_K_ABNORMAL_EXIT        -2
#define PPL_K_NORMAL_EXIT          -1
#define PPL_LOCNOTEST              31556172L
#define PPL_M_FLUSH                4
#define PPL_M_INIT_SYNCH           1
#define PPL_M_MOPT_SPARE           -16
#define PPL_M_NODEBUG              2
#define PPL_M_NON_BLOCKING         8
#define PPL_M_NOTIFY_ONE           16
#define PPL_M_NOUNI                8
#define PPL_M_NOWRT                2
#define PPL_M_NOZERO               1
#define PPL_M_POPT_SPARE           -64
#define PPL_M_SPIN_WAIT            32
#define PPL_M_STOP_CHILDREN        4
#define PPL_NO_SUCH_PARTY          31556292L
#define PPL_NOINIT                 31556244L
#define PPL_NONPIC                 31556252L
#define PPL_NOONE_ENABLED          31555609L
#define PPL_NORMAL                 31555585L
#define PPL_NORMAL_EXIT            31572019L
#define PPL_NOSECEX                31556180L
#define PPL_NOSUCHELE              31556188L
#define PPL_NOSUCHLOC              31556196L
#define PPL_NOSUCHNAM              31556204L
#define PPL_NOT_AVAILABLE          31555617L
#define PPL_NOTIMP                 31556268L
#define PPL_SEMALRMAX              31571979L
#define PPL_SEMININON              31556260L
#define PPL_WRONUMARG              31556212L
#define SS_NORMAL                  1
#define SS_ACCVIO                  12
#define SS_BADPARAM                20
#define SS_EXQUOTA                 28
#define SS_NOPRIV                  36
#define SS_ABORT                   44
#define SS_BADATTRIB               52
#define SS_BADESCAPE               60
#define SS_BADIMGHDR               68
#define SS_CHANINTLK               76
#define SS_CTRLERR                 84
#define SS_DATACHECK               92
#define SS_DEVFOREIGN              100
#define SS_DEVMOUNT                108
#define SS_DEVNOTMBX               116
#define SS_DEVNOTMOUNT             124
#define SS_DEVOFFLINE              132
#define SS_DRVERR                  140
#define SS_DUPLNAM                 148
#define SS_FILACCERR               156
#define SS_FILALRACC               164
#define SS_FILNOTACC               172
#define SS_FILNOTEXP               180
#define SS_FORMAT                  188
#define SS_GPTFULL                 196
#define SS_GSDFULL                 204
#define SS_LCKPAGFUL               212
#define SS_ILLBLKNUM               220
#define SS_ILLCNTRFUNC             228
#define SS_ILLEFC                  236
#define SS_ILLIOFUNC               244
#define SS_ILLPAGCNT               252
#define SS_ILLSER                  260
#define SS_INCVOLLABEL             268
#define SS_INSFARG                 276
#define SS_INSFWSL                 284
#define SS_INSFMEM                 292
#define SS_INSFRAME                300
#define SS_IVADDR                  308
#define SS_IVCHAN                  316
#define SS_IVDEVNAM                324
#define SS_IVGSDNAM                332
#define SS_IVLOGNAM                340
#define SS_IVLOGTAB                348
#define SS_IVQUOTAL                356
#define SS_IVSECFLG                364
#define SS_IVSSRQ                  372
#define SS_IVSTSFLG                380
#define SS_IVTIME                  388
#define SS_LENVIO                  396
#define SS_LKWSETFUL               404
#define SS_MBTOOSML                412
#define SS_MEDOFL                  420
#define SS_NODATA                  428
#define SS_NOIOCHAN                436
#define SS_NOLOGNAM                444
#define SS_NONEXDRV                452
#define SS_NOTFILEDEV              460
#define SS_NOTINTBLSZ              468
#define SS_NOTLABELMT              476
#define SS_NOTSQDEV                484
#define SS_PAGOWNVIO               492
#define SS_PARITY                  500
#define SS_PARTESCAPE              508
#define SS_PFMBSY                  516
#define SS_PSTFULL                 524
#define SS_RESULTOVF               532
#define SS_SECTBLFUL               540
#define SS_TAPEPOSLOST             548
#define SS_TIMEOUT                 556
#define SS_UNASEFC                 564
#define SS_UNSAFE                  572
#define SS_VASFULL                 580
#define SS_VECINUSE                588
#define SS_VOLINV                  596
#define SS_WRITLCK                 604
#define SS_NOTAPEOP                612
#define SS_IVCHNLSEC               620
#define SS_NOMBX                   628
#define SS_NOLINKS                 636
#define SS_NOSOLICIT               644
#define SS_NOSUCHNODE              652
#define SS_REJECT                  660
#define SS_TOOMUCHDATA             668
#define SS_BUGCHECK                676
#define SS_FILNOTCNTG              684
#define SS_BADSTACK                692
#define SS_MCHECK                  700
#define SS_DEVACTIVE               708
#define SS_HANGUP                  716
#define SS_OPINCOMPL               724
#define SS_ILLSEQOP                732
#define SS_IVSECIDCTL              740
#define SS_NOTNETDEV               748
#define SS_IVPROTECT               756
#define SS_ACPVAFUL                764
#define SS_MTLBLLONG               772
#define SS_BUFBYTALI               780
#define SS_NOAQB                   788
#define SS_WRONGACP                796
#define SS_BUFNOTALIGN             804
#define SS_DEVCMDERR               812
#define SS_DEVREQERR               820
#define SS_INSFBUFDP               828
#define SS_INSFMAPREG              836
#define SS_IVBUFLEN                844
#define SS_IVMODE                  852
#define SS_MCNOTVALID              860
#define SS_POWERFAIL               868
#define SS_SHMGSNOTMAP             876
#define SS_TOOMANYLNAM             884
#define SS_SHMNOTCNCT              892
#define SS_NOTCREATOR              900
#define SS_INTERLOCK               908
#define SS_BADQUEUEHDR             916
#define SS_NOSLOT                  924
#define SS_SUSPENDED               932
#define SS_EXPORTQUOTA             940
#define SS_NOSHMBLOCK              948
#define SS_BADQFILE                956
#define SS_NOQFILE                 964
#define SS_QFACTIVE                972
#define SS_QFNOTACT                980
#define SS_DUPDSKQUOTA             988
#define SS_NODISKQUOTA             996
#define SS_EXDISKQUOTA             1004
#define SS_IDMISMATCH              1012
#define SS_NOWRT                   1020
#define SS_BADISD                  8196
#define SS_RELINK                  8204
#define SS_NOTINSTALL              8212
#define SS_SHARTOOBIG              8220
#define SS_NOP1VA                  8228
#define SS_MULTRMS                 8236
#define SS_VECFULL                 8244
#define SS_IVLVEC                  8252
#define SS_INSFSPTS                8260
#define SS_DISCONNECT              8268
#define SS_PRIVINSTALL             8276
#define SS_PROTINSTALL             8284
#define SS_BADVEC                  8292
#define SS_REMRSRC                 8300
#define SS_PROTOCOL                8308
#define SS_THIRDPARTY              8316
#define SS_NOSUCHUSER              8324
#define SS_SHUT                    8332
#define SS_UNREACHABLE             8340
#define SS_INVLOGIN                8348
#define SS_NOSUCHOBJ               8356
#define SS_EXCPUTIM                8364
#define SS_OPRABORT                8372
#define SS_SHRIDMISMAT             8380
#define SS_COMMHARD                8388
#define SS_IVCHAR                  8396
#define SS_DEVINACT                8404
#define SS_CONNECFAIL              8412
#define SS_LINKABORT               8420
#define SS_LINKDISCON              8428
#define SS_LINKEXIT                8436
#define SS_PATHLOST                8444
#define SS_CLEARED                 8452
#define SS_RESET                   8460
#define SS_UNSOLICIT               8468
#define SS_TOOMANYREDS             8476
#define SS_IVLOCKID                8484
#define SS_SUBLOCKS                8492
#define SS_PARNOTGRANT             8500
#define SS_CVTUNGRANT              8508
#define SS_FORCEDERROR             8516
#define SS_ILLSELF                 8524
#define SS_ILLCDTST                8532
#define SS_NOLISTENER              8540
#define SS_EXGBLPAGFIL             8548
#define SS_BADRCT                  8556
#define SS_DIRNOTEMPTY             8564
#define SS_FORCEDEXIT              8572
#define SS_NOTPRINTED              8580
#define SS_JBCERROR                8588
#define SS_NOLICENSE               8596
#define SS_VCBROKEN                8604
#define SS_VCCLOSED                8612
#define SS_INSFCDT                 8620
#define SS_DEVNOTDISM              8628
#define SS_NOSHRIMG                8636
#define SS_DUPUNIT                 8644
#define SS_BADACLCTX               8652
#define SS_SERIOUSEXCP             8660
#define SS_TEMPLATEDEV             8668
#define SS_IVACL                   8676
#define SS_NOSUCHID                8684
#define SS_NOLCLMEDA               8692
#define SS_NOREGAVIL               8700
#define SS_NOREGSUIT               8708
#define SS_NOSUCHPGM               8716
#define SS_PGMLDFAIL               8724
#define SS_PGMSTDALN               8732
#define SS_IVIDENT                 8740
#define SS_DUPIDENT                8748
#define SS_INCSEGTRA               8756
#define SS_NODELEAVE               8764
#define SS_KERNELINV               8772
#define SS_EXLNMQUOTA              8780
#define SS_PARENT_DEL              8788
#define SS_PARNOTSYS               8796
#define SS_INSSWAPSPACE            8804
#define SS_VOLOERR                 8812
#define SS_DATALATE                8820
#define SS_OVRMAXARG               8828
#define SS_SHACHASTA               8836
#define SS_TERMNETDEV              8844
#define SS_NOLOGTAB                8852
#define SS_WRONGNAME               8860
#define SS_NOVOLACC                8868
#define SS_NOFILACC                8876
#define SS_INVEXHLIST              8884
#define SS_NOACLSUPPORT            8892
#define SS_INVSECLASS              8900
#define SS_INCSHAMEM               8908
#define SS_DEVNOTSHR               8916
#define SS_RUCONFLICT              8924
#define SS_DATALOST                8932
#define SS_REMOTE_PROC             8940
#define SS_CPUNOTACT               8948
#define SS_SRVMMAT                 8956
#define SS_EXLICENSE               8964
#define SS_INVLICENSE              8972
#define SS_LICENSE_LEVEL           8980
#define SS_INV_HW_ID               8988
#define SS_BADCONTEXT              8996
#define SS_TOOMUCHCTX              9004
#define SS_VA_IN_USE               9012
#define SS_NODELETE                9020
#define SS_NOSUCHCPU               9028
#define SS_PLHLDR                  1028
#define SS_ASTFLT                  1036
#define SS_BREAK                   1044
#define SS_CMODSUPR                1052
#define SS_CMODUSER                1060
#define SS_COMPAT                  1068
#define SS_OPCCUS                  1076
#define SS_OPCDEC                  1084
#define SS_PAGRDERR                1092
#define SS_RADRMOD                 1100
#define SS_ROPRAND                 1108
#define SS_SSFAIL                  1116
#define SS_TBIT                    1124
#define SS_DEBUG                   1132
#define SS_ARTRES                  1140
#define SS_INTOVF                  1148
#define SS_INTDIV                  1156
#define SS_FLTOVF                  1164
#define SS_FLTDIV                  1172
#define SS_FLTUND                  1180
#define SS_DECOVF                  1188
#define SS_SUBRNG                  1196
#define SS_FLTOVF_F                1204
#define SS_FLTDIV_F                1212
#define SS_FLTUND_F                1220
#define SS_INHCHMK                 1228
#define SS_INHCHME                 1236
#define SS_BUFFEROVF               1537
#define SS_CONTROLO                1545
#define SS_CONTROLY                1553
#define SS_CREATED                 1561
#define SS_MSGNOTFND               1569
#define SS_NOTRAN                  1577
#define SS_SUPERSEDE               1585
#define SS_WASECC                  1593
#define SS_DEVALRALLOC             1601
#define SS_REMOTE                  1609
#define SS_CONTROLC                1617
#define SS_NOTMODIFIED             1625
#define SS_RDDELDATA               1633
#define SS_OVRDSKQUOTA             1641
#define SS_SYSVERDIF               1649
#define SS_FILEPURGED              1657
#define SS_NOTALLPRIV              1665
#define SS_SYNCH                   1673
#define SS_CONCEALED               1681
#define SS_INCOMPAT                1689
#define SS_DBGOPCREQ               1697
#define SS_ALRDYCLOSED             1705
#define SS_LNMCREATED              1713
#define SS_ACEIDMATCH              1721
#define SS_DBGEVENT                1729
#define SS_REMOVED                 1737
#define SS_LASTID                  1745
#define SS_NOMOREID                1753
#define SS_ACCONFLICT              2048
#define SS_BADCHKSUM               2056
#define SS_BADFILEHDR              2064
#define SS_BADFILENAME             2072
#define SS_BADFILEVER              2080
#define SS_BADIRECTORY             2088
#define SS_CANCEL                  2096
#define SS_DATAOVERUN              2104
#define SS_DEVALLOC                2112
#define SS_DEVASSIGN               2120
#define SS_DEVICEFULL              2128
#define SS_DEVNOTALLOC             2136
#define SS_DIRFULL                 2144
#define SS_DUPFILENAME             2152
#define SS_ENDOFFILE               2160
#define SS_ENDOFTAPE               2168
#define SS_EXTIDXFILE              2176
#define SS_FCPREADERR              2184
#define SS_FCPREWNDERR             2192
#define SS_FCPSPACERR              2200
#define SS_FCPWRITERR              2208
#define SS_FILELOCKED              2216
#define SS_FILENUMCHK              2224
#define SS_FILESEQCHK              2232
#define SS_FILESTRUCT              2240
#define SS_HEADERFULL              2248
#define SS_IDXFILEFULL             2256
#define SS_MBFULL                  2264
#define SS_NOHOMEBLK               2272
#define SS_NONEXPR                 2280
#define SS_NONLOCAL                2288
#define SS_NOHANDLER               2296
#define SS_NOSIGNAL                2304
#define SS_NOSUCHDEV               2312
#define SS_NOSUCHFILE              2320
#define SS_RESIGNAL                2328
#define SS_UNWIND                  2336
#define SS_UNWINDING               2344
#define SS_NOMOREFILES             2352
#define SS_BEGOFFILE               2360
#define SS_BLOCKCNTERR             2368
#define SS_MUSTCLOSEFL             2376
#define SS_WAITUSRLBL              2384
#define SS_ILLUSRLBLRD             2392
#define SS_ILLUSRLBLWT             2400
#define SS_ILLLBLAST               2408
#define SS_ENDOFUSRLBL             2416
#define SS_NOSUCHSEC               2424
#define SS_CLIFRCEXT               2432
#define SS_FCPREPSTN               2440
#define SS_TOOMANYVER              2448
#define SS_NOTVOLSET               2456
#define SS_ENDOFVOLUME             2464
#define SS_NOMOREPROC              2472
#define SS_NODEVAVL                2480
#define SS_NOTQUEUED               2488
#define SS_DGQINCOMP               2496
#define SS_DIRALLOC                2504
#define SS_ACLEMPTY                2512
#define SS_NOENTRY                 2520
#define SS_NOMOREACE               2528
#define SS_RIGHTSFULL              2536
#define SS_VALNOTVALID             2544
#define SS_ACLFULL                 2552
#define SS_NOMORENODE              2560
#define SS_NOMORELOCK              2568
#define SS_BEGOFTAPE               2576
#define SS_OBJLOCKHELD             2584
#define SS_RLSEMPTY                2592
#define SS_ALLSTARTED              2600
#define SS_ALRDYSTRT               2608
#define SS_ALRDYSTPPD              2616
#define SS_NSTPPD                  2624
#define SS_EOTIN                   3075
#define SS_CHAINW                  3083
#define SS_NOTINSEC                3091
#define SS_NONXPAG                 3099
#define SS_LINEABRT                3586
#define SS_DEADLOCK                3594
#define SS_NOLOCKID                3602
#define SS_EXDEPTH                 3610
#define SS_PARTMAPPED              3618
#define SS_CANCELGRANT             3626
#define SS_RETRY                   3634
#define SS_BADACL                  3642
#define SS_ACEEXISTS               3650
#define SS_UNSUPPORTED             3658
#define SS_NORIGHTSDB              3666
#define SS_NOPRIVSTRT              10240
#define SS_NOCMKRNL                10244
#define SS_NOCMEXEC                10252
#define SS_NOSYSNAM                10260
#define SS_NOGRPNAM                10268
#define SS_NOALLSPOOL              10276
#define SS_NODETACH                10284
#define SS_NODIAGNOSE              10292
#define SS_NOLOG_IO                10300
#define SS_NOGROUP                 10308
#define SS_NOACNT                  10316
#define SS_NOPRMCEB                10324
#define SS_NOPRMMBX                10332
#define SS_NOPSWAPM                10340
#define SS_NOALTPRI                10348
#define SS_NOSETPRV                10356
#define SS_NOTMPMBX                10364
#define SS_NOWORLD                 10372
#define SS_NOMOUNT                 10380
#define SS_NOOPER                  10388
#define SS_NOEXQUOTA               10396
#define SS_NONETMBX                10404
#define SS_NOVOLPRO                10412
#define SS_NOPHY_IO                10420
#define SS_NOBUGCHK                10428
#define SS_NOPRMGBL                10436
#define SS_NOSYSGBL                10444
#define SS_NOPFNMAP                10452
#define SS_NOSHMEM                 10460
#define SS_NOSYSPRV                10468
#define SS_NOBYPASS                10476
#define SS_NOSYSLCK                10484
#define SS_UNUSED_1                10492
#define SS_UNUSED_2                10500
#define SS_NODOWNGRADE             10508
#define SS_NOUPGRADE               10516
#define SS_NOGRPPRV                10524
#define SS_NOREADALL               10532
#define SS_NOSHARE                 10540
#define SS_NOSECURITY              10548
#define SS_NOPRIVEND               10751
#define SS_EXQUOTASTRT             10752
#define SS_EXASTLM                 10756
#define SS_EXBIOLM                 10764
#define SS_EXBYTLM                 10772
#define SS_EXDIOLM                 10780
#define SS_EXFILLM                 10788
#define SS_EXPGFLQUOTA             10796
#define SS_EXPRCLM                 10804
#define SS_EXTQELM                 10812
#define SS_EXENQLM                 10820
#define SS_EXQUOTAEND              11007
#define TRM_MODIFIERS              0
#define TRM_EDITMODE               1
#define TRM_TIMEOUT                2
#define TRM_TERM                   3
#define TRM_PROMPT                 4
#define TRM_INISTRNG               5
#define TRM_PICSTRNG               6
#define TRM_FILLCHR                7
#define TRM_INIOFFSET              8
#define TRM_ALTECHSTR              9
#define TRM_ESCTRMOVR              10
#define TRM_LASTITM                11
#define TRM_K_EM_DEFAULT           0
#define TRM_K_EM_RDVERIFY          1
#define TRM_M_TM_NOECHO            64
#define TRM_M_TM_TIMED             128
#define TRM_M_TM_CVTLOW            256
#define TRM_M_TM_NOFILTR           512
#define TRM_M_TM_DSABLMBX          1024
#define TRM_M_TM_PURGE             2048
#define TRM_M_TM_TRMNOECHO         4096
#define TRM_M_TM_REFRESH           8192
#define TRM_M_TM_ESCAPE            16384
#define TRM_M_TM_NOEDIT            32768L
#define TRM_M_TM_NORECALL          65536L
#define TRM_M_TM_R_JUST            131072L
#define TRM_M_TM_AUTO_TAB          262144L
#define TRM_M_CV_UPPER             1
#define TRM_M_CV_LOWER             2
#define TRM_M_CV_NUMERIC           4
#define TRM_M_CV_NUMPUNC           8
#define TRM_M_CV_PRINTABLE         16
#define TRM_M_CV_ANY               32
#define TT_C_BAUD_50               1
#define TT_C_BAUD_75               2
#define TT_C_BAUD_110              3
#define TT_C_BAUD_134              4
#define TT_C_BAUD_150              5
#define TT_C_BAUD_300              6
#define TT_C_BAUD_600              7
#define TT_C_BAUD_1200             8
#define TT_C_BAUD_1800             9
#define TT_C_BAUD_2000             10
#define TT_C_BAUD_2400             11
#define TT_C_BAUD_3600             12
#define TT_C_BAUD_4800             13
#define TT_C_BAUD_7200             14
#define TT_C_BAUD_9600             15
#define TT_C_BAUD_19200            16
#define TT_C_BAUD_38400            17
#define TT_UNKNOWN                 0
#define TT_VT05                    1
#define TT_VK100                   2
#define TT_VT173                   3
#define TT_TQ_BTS                  4
#define TT_TEK401X                 10
#define TT_FT1                     16
#define TT_FT2                     17
#define TT_FT3                     18
#define TT_FT4                     19
#define TT_FT5                     20
#define TT_FT6                     21
#define TT_FT7                     22
#define TT_FT8                     23
#define TT_LAX                     32
#define TT_LA36                    32
#define TT_LA120                   33
#define TT_LA34                    34
#define TT_LA38                    35
#define TT_LA12                    36
#define TT_LA100                   37
#define TT_LA24                    37
#define TT_LQP02                   38
#define TT_LA84                    39
#define TT_LA210                   40
#define TT_LN03                    41
#define TT_LN01K                   42
#define TT_LA80                    43
#define TT_VT5X                    64
#define TT_VT52                    64
#define TT_VT55                    65
#define TT_VT100                   96
#define TT_VT101                   97
#define TT_VT102                   98
#define TT_VT105                   99
#define TT_VT125                   100
#define TT_VT131                   101
#define TT_VT132                   102
#define TT_VT80                    103
#define TT_VT200_SERIES            110
#define TT_PRO_SERIES              111
#define TT_VT300_SERIES            112
#define TT_M_PASSALL               1
#define TT_M_NOECHO                2
#define TT_M_NOTYPEAHD             4
#define TT_M_ESCAPE                8
#define TT_M_HOSTSYNC              16
#define TT_M_TTSYNC                32
#define TT_M_SCRIPT                64
#define TT_M_LOWER                 128
#define TT_M_MECHTAB               256
#define TT_M_WRAP                  512
#define TT_M_CRFILL                1024
#define TT_M_LFFILL                2048
#define TT_M_SCOPE                 4096
#define TT_M_REMOTE                8192
#define TT_M_RESERVED              16384
#define TT_M_EIGHTBIT              32768L
#define TT_M_MBXDSABL              65536L
#define TT_M_NOBRDCST              131072L
#define TT_M_READSYNC              262144L
#define TT_M_MECHFORM              524288L
#define TT_M_HALFDUP               1048576L
#define TT_M_MODEM                 2097152L
#define TT_M_OPER                  4194304L
#define TT_M_PAGE                  -16777216L
#define TT_M_ALTFRAME              16
#define TT_M_ALTRPAR               32
#define TT_M_PARITY                64
#define TT_M_ODD                   128
#define TT_M_TWOSTOP               256
#define TT_M_DISPARERR             512
#define TT_M_ALTDISPAR             1024
#define TT_M_BREAK                 2048
#define TT_M_DS_DTR                2
#define TT_M_DS_SECTX              8
#define TT_M_DS_RTS                16
#define TT_M_DS_SECREC             8
#define TT_M_DS_CTS                16
#define TT_M_DS_CARRIER            32
#define TT_M_DS_RING               64
#define TT_M_DS_DSR                128
#define TT2_M_LOCALECHO            1
#define TT2_M_AUTOBAUD             2
#define TT2_M_HANGUP               4
#define TT2_M_MODHANGUP            8
#define TT2_M_BRDCSTMBX            16
#define TT2_M_XON                  32
#define TT2_M_DMA                  64
#define TT2_M_ALTYPEAHD            128
#define TT2_M_SETSPEED             256
#define TT2_M_DCL_MAILBX           512
#define TT2_M_DCL_OUTBND           1024
#define TT2_M_DCL_CTRLC            2048
#define TT2_M_EDITING              4096
#define TT2_M_INSERT               8192
#define TT2_M_FALLBACK             16384
#define TT2_M_DIALUP               32768L
#define TT2_M_SECURE               65536L
#define TT2_M_DISCONNECT           131072L
#define TT2_M_PASTHRU              262144L
#define TT2_M_SYSPWD               524288L
#define TT2_M_SIXEL                1048576L
#define TT2_M_DRCS                 2097152L
#define TT2_M_PRINTER              4194304L
#define TT2_M_APP_KEYPAD           8388608L
#define TT2_M_ANSICRT              16777216L
#define TT2_M_REGIS                33554432L
#define TT2_M_BLOCK                67108864L
#define TT2_M_AVO                  134217728L
#define TT2_M_EDIT                 268435456L
#define TT2_M_DECCRT               536870912L
#define TT2_M_DECCRT2              1073741824L
#define TT2_M_DECCRT3              -2147483648L
#define SYI_NODENAME               4313

#endif     /*  End definitions for MS-DOS                                    */

#ifdef VAX
globalvalue long                   ACMS$_SENDER_DISCONN;
globalvalue long                   PPL$K_INIT_SIZE;
globalref   long                   ACMS$EFN;
#define ACMS_SENDER_DISCONN        ACMS$_SENDER_DISCONN
#define PPL_K_INIT_SIZE            PPL$K_INIT_SIZE
#define ACMS_EFN                   ACMS$EFN

#define DEV_M_REC                  DEV$M_REC
#define DEV_M_CCL                  DEV$M_CCL
#define DEV_M_TRM                  DEV$M_TRM
#define DEV_M_DIR                  DEV$M_DIR
#define DEV_M_SDI                  DEV$M_SDI
#define DEV_M_SQD                  DEV$M_SQD
#define DEV_M_SPL                  DEV$M_SPL
#define DEV_M_OPR                  DEV$M_OPR
#define DEV_M_RCT                  DEV$M_RCT
#define DEV_M_NET                  DEV$M_NET
#define DEV_M_FOD                  DEV$M_FOD
#define DEV_M_DUA                  DEV$M_DUA
#define DEV_M_SHR                  DEV$M_SHR
#define DEV_M_GEN                  DEV$M_GEN
#define DEV_M_AVL                  DEV$M_AVL
#define DEV_M_MNT                  DEV$M_MNT
#define DEV_M_MBX                  DEV$M_MBX
#define DEV_M_DMT                  DEV$M_DMT
#define DEV_M_ELG                  DEV$M_ELG
#define DEV_M_ALL                  DEV$M_ALL
#define DEV_M_FOR                  DEV$M_FOR
#define DEV_M_SWL                  DEV$M_SWL
#define DEV_M_IDV                  DEV$M_IDV
#define DEV_M_ODV                  DEV$M_ODV
#define DEV_M_RND                  DEV$M_RND
#define DEV_M_RTM                  DEV$M_RTM
#define DEV_M_RCK                  DEV$M_RCK
#define DEV_M_WCK                  DEV$M_WCK
#define DEV_M_CLU                  DEV$M_CLU
#define DEV_M_DET                  DEV$M_DET
#define DEV_M_RTT                  DEV$M_RTT
#define DEV_M_CDP                  DEV$M_CDP
#define DEV_M_2P                   DEV$M_2P
#define DEV_M_MSCP                 DEV$M_MSCP
#define DEV_M_SSM                  DEV$M_SSM
#define DEV_M_SRV                  DEV$M_SRV
#define DEV_M_RED                  DEV$M_RED
#define DEV_M_NNM                  DEV$M_NNM
#define DEV_M_WBC                  DEV$M_WBC
#define DEV_M_WTC                  DEV$M_WTC
#define DEV_M_HOC                  DEV$M_HOC
#define DEV_M_LOC                  DEV$M_LOC
#define DSC_K_CLASS_S              DSC$K_CLASS_S
#define DSC_K_DTYPE_T              DSC$K_DTYPE_T
#define DVI_DEVCHAR                DVI$_DEVCHAR
#define DVI_DEVCLASS               DVI$_DEVCLASS
#define DVI_DEVTYPE                DVI$_DEVTYPE
#define DVI_DEVBUFSIZ              DVI$_DEVBUFSIZ
#define DVI_DEVDEPEND              DVI$_DEVDEPEND
#define DVI_UNIT                   DVI$_UNIT
#define DVI_PID                    DVI$_PID
#define DVI_OWNUIC                 DVI$_OWNUIC
#define DVI_VPROT                  DVI$_VPROT
#define DVI_ERRCNT                 DVI$_ERRCNT
#define DVI_OPCNT                  DVI$_OPCNT
#define DVI_RECSIZ                 DVI$_RECSIZ
#define DVI_MAXBLOCK               DVI$_MAXBLOCK
#define DVI_DEVDEPEND2             DVI$_DEVDEPEND2
#define DVI_REFCNT                 DVI$_REFCNT
#define DVI_DEVNAM                 DVI$_DEVNAM
#define DVI_VOLNAM                 DVI$_VOLNAM
#define DVI_SECTORS                DVI$_SECTORS
#define DVI_TRACKS                 DVI$_TRACKS
#define DVI_CYLINDERS              DVI$_CYLINDERS
#define DVI_FREEBLOCKS             DVI$_FREEBLOCKS
#define DVI_LOGVOLNAM              DVI$_LOGVOLNAM
#define DVI_VOLNUMBER              DVI$_VOLNUMBER
#define DVI_VOLCOUNT               DVI$_VOLCOUNT
#define DVI_ROOTDEVNAM             DVI$_ROOTDEVNAM
#define DVI_NEXTDEVNAM             DVI$_NEXTDEVNAM
#define DVI_TRANSCNT               DVI$_TRANSCNT
#define DVI_MOUNTCNT               DVI$_MOUNTCNT
#define DVI_CLUSTER                DVI$_CLUSTER
#define DVI_MAXFILES               DVI$_MAXFILES
#define DVI_SERIALNUM              DVI$_SERIALNUM
#define DVI_ACPPID                 DVI$_ACPPID
#define DVI_ACPTYPE                DVI$_ACPTYPE
#define DVI_CONCEALED              DVI$_CONCEALED
#define DVI_STS                    DVI$_STS
#define DVI_DEVSTS                 DVI$_DEVSTS
#define DVI_DEVCHAR2               DVI$_DEVCHAR2
#define DVI_FULLDEVNAM             DVI$_FULLDEVNAM
#define DVI_LOCKID                 DVI$_LOCKID
#define DVI_ALLDEVNAM              DVI$_ALLDEVNAM
#define DVI_VOLSETMEM              DVI$_VOLSETMEM
#define DVI_DEVLOCKNAM             DVI$_DEVLOCKNAM
#define DVI_ALLOCLASS              DVI$_ALLOCLASS
#define DVI_ALT_HOST_AVAIL         DVI$_ALT_HOST_AVAIL
#define DVI_ALT_HOST_NAME          DVI$_ALT_HOST_NAME
#define DVI_ALT_HOST_TYPE          DVI$_ALT_HOST_TYPE
#define DVI_HOST_AVAIL             DVI$_HOST_AVAIL
#define DVI_HOST_COUNT             DVI$_HOST_COUNT
#define DVI_HOST_NAME              DVI$_HOST_NAME
#define DVI_HOST_TYPE              DVI$_HOST_TYPE
#define DVI_REMOTE_DEVICE          DVI$_REMOTE_DEVICE
#define DVI_SERVED_DEVICE          DVI$_SERVED_DEVICE
#define DVI_SHDW_MASTER            DVI$_SHDW_MASTER
#define DVI_SHDW_MASTER_NAME       DVI$_SHDW_MASTER_NAME
#define DVI_SHDW_MEMBER            DVI$_SHDW_MEMBER
#define DVI_SHDW_MERGE_COPYING     DVI$_SHDW_MERGE_COPYING
#define DVI_SHDW_NEXT_MBR_NAME     DVI$_SHDW_NEXT_MBR_NAME
#define DVI_TT_PHYDEVNAM           DVI$_TT_PHYDEVNAM
#define DVI_TT_DECCRT2             DVI$_TT_DECCRT2
#define DVI_MEDIA_NAME             DVI$_MEDIA_NAME
#define DVI_MEDIA_TYPE             DVI$_MEDIA_TYPE
#define DVI_MEDIA_ID               DVI$_MEDIA_ID
#define DVI_SHDW_FAILED_MEMBER     DVI$_SHDW_FAILED_MEMBER
#define DVI_MSCP_UNIT_NUMBER       DVI$_MSCP_UNIT_NUMBER
#define DVI_DISPLAY_DEVNAM         DVI$_DISPLAY_DEVNAM
#define DVI_TT_ACCPORNAM           DVI$_TT_ACCPORNAM
#define DVI_DEVDEPEND3             DVI$_DEVDEPEND3
#define DVI_TT_MULTISESSION        DVI$_TT_MULTISESSION
#define DVI_TT_DECCRT3             DVI$_TT_DECCRT3
#define IO_ACCESS                  IO$_ACCESS
#define IO_ACPCONTROL              IO$_ACPCONTROL
#define IO_ADDSHAD                 IO$_ADDSHAD
#define IO_AVAILABLE               IO$_AVAILABLE
#define IO_CLEAN                   IO$_CLEAN
#define IO_CONINTREAD              IO$_CONINTREAD
#define IO_CONINTWRITE             IO$_CONINTWRITE
#define IO_COPYSHAD                IO$_COPYSHAD
#define IO_CREATE                  IO$_CREATE
#define IO_CRESHAD                 IO$_CRESHAD
#define IO_DEACCESS                IO$_DEACCESS
#define IO_DELETE                  IO$_DELETE
#define IO_DIAGNOSE                IO$_DIAGNOSE
#define IO_DRVCLR                  IO$_DRVCLR
#define IO_DSE                     IO$_DSE
#define IO_ERASETAPE               IO$_ERASETAPE
#define IO_FLUSH                   IO$_FLUSH
#define IO_FORMAT                  IO$_FORMAT
#define IO_FREECAP                 IO$_FREECAP
#define IO_INITIALIZE              IO$_INITIALIZE
#define IO_K_LOOPTEST              IO$K_LOOPTEST
#define IO_K_PTPBSC                IO$K_PTPBSC
#define IO_K_SRRUNOUT              IO$K_SRRUNOUT
#define IO_LOADMCODE               IO$_LOADMCODE
#define IO_LOGICAL                 IO$_LOGICAL
#define IO_M_ABORT                 IO$M_ABORT
#define IO_M_ACCEPT                IO$M_ACCEPT
#define IO_M_ACCESS                IO$M_ACCESS
#define IO_M_ALLHOSTS              IO$M_ALLHOSTS
#define IO_M_ATTNAST               IO$M_ATTNAST
#define IO_M_AUTXOF_DIS            IO$M_AUTXOF_DIS
#define IO_M_AUTXOF_ENA            IO$M_AUTXOF_ENA
#define IO_M_BINARY                IO$M_BINARY
#define IO_M_BRDCST                IO$M_BRDCST
#define IO_M_BREAKTHRU             IO$M_BREAKTHRU
#define IO_M_CANCTRLO              IO$M_CANCTRLO
#define IO_M_CLEAR                 IO$M_CLEAR
#define IO_M_CLR_COUNT             IO$M_CLR_COUNT
#define IO_M_CLSEREXCP             IO$M_CLSEREXCP
#define IO_M_COMMOD                IO$M_COMMOD
#define IO_M_CREATE                IO$M_CREATE
#define IO_M_CTRL                  IO$M_CTRL
#define IO_M_CTRLCAST              IO$M_CTRLCAST
#define IO_M_CTRLYAST              IO$M_CTRLYAST
#define IO_M_CVTLOW                IO$M_CVTLOW
#define IO_M_CYCLE                 IO$M_CYCLE
#define IO_M_DATACHECK             IO$M_DATACHECK
#define IO_M_DATAPATH              IO$M_DATAPATH
#define IO_M_DELDATA               IO$M_DELDATA
#define IO_M_DELETE                IO$M_DELETE
#define IO_M_DIAGNOSTIC            IO$M_DIAGNOSTIC
#define IO_M_DISSOLVE              IO$M_DISSOLVE
#define IO_M_DMOUNT                IO$M_DMOUNT
#define IO_M_DSABLMBX              IO$M_DSABLMBX
#define IO_M_ENABLMBX              IO$M_ENABLMBX
#define IO_M_ENCRYPT               IO$M_ENCRYPT
#define IO_M_ERASE                 IO$M_ERASE
#define IO_M_ESCAPE                IO$M_ESCAPE
#define IO_M_EXTEND                IO$M_EXTEND
#define IO_M_FCODE                 IO$M_FCODE
#define IO_M_FMODIFIERS            IO$M_FMODIFIERS
#define IO_M_FORCEPATH             IO$M_FORCEPATH
#define IO_M_HANGUP                IO$M_HANGUP
#define IO_M_INCLUDE               IO$M_INCLUDE
#define IO_M_INHERLOG              IO$M_INHERLOG
#define IO_M_INHEXTGAP             IO$M_INHEXTGAP
#define IO_M_INHRETRY              IO$M_INHRETRY
#define IO_M_INHSEEK               IO$M_INHSEEK
#define IO_M_INTCLOCK              IO$M_INTCLOCK
#define IO_M_INTERRUPT             IO$M_INTERRUPT
#define IO_M_LASTBLOCK             IO$M_LASTBLOCK
#define IO_M_LINE_OFF              IO$M_LINE_OFF
#define IO_M_LINE_ON               IO$M_LINE_ON
#define IO_M_LOCATE                IO$M_LOCATE
#define IO_M_LOCKBUF               IO$M_LOCKBUF
#define IO_M_LOOP                  IO$M_LOOP
#define IO_M_LOOP_EXT              IO$M_LOOP_EXT
#define IO_M_LPBEXT                IO$M_LPBEXT
#define IO_M_LPBINT                IO$M_LPBINT
#define IO_M_LT_CONNECT            IO$M_LT_CONNECT
#define IO_M_LT_DISCON             IO$M_LT_DISCON
#define IO_M_LT_MAP_FILLER         IO$M_LT_MAP_FILLER
#define IO_M_LT_MAP_LNKNAM         IO$M_LT_MAP_LNKNAM
#define IO_M_LT_MAP_NETADR         IO$M_LT_MAP_NETADR
#define IO_M_LT_MAP_NODNAM         IO$M_LT_MAP_NODNAM
#define IO_M_LT_MAP_PORNAM         IO$M_LT_MAP_PORNAM
#define IO_M_LT_MAP_PORT           IO$M_LT_MAP_PORT
#define IO_M_LT_MAP_SRVNAM         IO$M_LT_MAP_SRVNAM
#define IO_M_LT_RATING             IO$M_LT_RATING
#define IO_M_LT_RCV_INFO           IO$M_LT_RCV_INFO
#define IO_M_LT_READPORT           IO$M_LT_READPORT
#define IO_M_LT_SOL_INFO           IO$M_LT_SOL_INFO
#define IO_M_MAINT                 IO$M_MAINT
#define IO_M_MAINTLOOP             IO$M_MAINTLOOP
#define IO_M_MORE                  IO$M_MORE
#define IO_M_MOUNT                 IO$M_MOUNT
#define IO_M_MOVETRACKD            IO$M_MOVETRACKD
#define IO_M_MSCP_FORMAT           IO$M_MSCP_FORMAT
#define IO_M_MSCPMODIFS            IO$M_MSCPMODIFS
#define IO_M_MULTIPLE              IO$M_MULTIPLE
#define IO_M_NEWLINE               IO$M_NEWLINE
#define IO_M_NOBLOCK               IO$M_NOBLOCK
#define IO_M_NOCLEANUP             IO$M_NOCLEANUP
#define IO_M_NOCTSWAIT             IO$M_NOCTSWAIT
#define IO_M_NODSRWAIT             IO$M_NODSRWAIT
#define IO_M_NOECHO                IO$M_NOECHO
#define IO_M_NOFILTR               IO$M_NOFILTR
#define IO_M_NOFORMAT              IO$M_NOFORMAT
#define IO_M_NOMRSP                IO$M_NOMRSP
#define IO_M_NORSWAIT              IO$M_NORSWAIT
#define IO_M_NOW                   IO$M_NOW
#define IO_M_NOWAIT                IO$M_NOWAIT
#define IO_M_OPPOSITE              IO$M_OPPOSITE
#define IO_M_OUTBAND               IO$M_OUTBAND
#define IO_M_PACKED                IO$M_PACKED
#define IO_M_PURGE                 IO$M_PURGE
#define IO_M_QUALIFIED             IO$M_QUALIFIED
#define IO_M_RD_COUNT              IO$M_RD_COUNT
#define IO_M_RD_MEM                IO$M_RD_MEM
#define IO_M_RD_MODEM              IO$M_RD_MODEM
#define IO_M_READATTN              IO$M_READATTN
#define IO_M_READCSR               IO$M_READCSR
#define IO_M_REDIRECT              IO$M_REDIRECT
#define IO_M_REFRESH               IO$M_REFRESH
#define IO_M_REMOUNT               IO$M_REMOUNT
#define IO_M_RESET                 IO$M_RESET
#define IO_M_RESPONSE              IO$M_RESPONSE
#define IO_M_REVERSE               IO$M_REVERSE
#define IO_M_SET_MODEM             IO$M_SET_MODEM
#define IO_M_SETBSIZE              IO$M_SETBSIZE
#define IO_M_SETCUADR              IO$M_SETCUADR
#define IO_M_SETENQCNT             IO$M_SETENQCNT
#define IO_M_SETEVF                IO$M_SETEVF
#define IO_M_SETFNCT               IO$M_SETFNCT
#define IO_M_SETPOOLSZ             IO$M_SETPOOLSZ
#define IO_M_SETPROT               IO$M_SETPROT
#define IO_M_SHADOW                IO$M_SHADOW
#define IO_M_SHUTDOWN              IO$M_SHUTDOWN
#define IO_M_SKPSECINH             IO$M_SKPSECINH
#define IO_M_SLAVLOOP              IO$M_SLAVLOOP
#define IO_M_SPINDOWN              IO$M_SPINDOWN
#define IO_M_STARTUP               IO$M_STARTUP
#define IO_M_SWAP                  IO$M_SWAP
#define IO_M_SYNCH                 IO$M_SYNCH
#define IO_M_TIMED                 IO$M_TIMED
#define IO_M_TRMNOECHO             IO$M_TRMNOECHO
#define IO_M_TT_ABORT              IO$M_TT_ABORT
#define IO_M_TT_CONNECT            IO$M_TT_CONNECT
#define IO_M_TT_DISCON             IO$M_TT_DISCON
#define IO_M_TT_PROCESS            IO$M_TT_PROCESS
#define IO_M_TYPEAHDCNT            IO$M_TYPEAHDCNT
#define IO_M_UNLOOP                IO$M_UNLOOP
#define IO_M_WORD                  IO$M_WORD
#define IO_M_WRTATTN               IO$M_WRTATTN
#define IO_MODIFY                  IO$_MODIFY
#define IO_MOUNT                   IO$_MOUNT
#define IO_NETCONTROL              IO$_NETCONTROL
#define IO_NOP                     IO$_NOP
#define IO_OFFSET                  IO$_OFFSET
#define IO_PACKACK                 IO$_PACKACK
#define IO_PHYSICAL                IO$_PHYSICAL
#define IO_QSTOP                   IO$_QSTOP
#define IO_RDSTATS                 IO$_RDSTATS
#define IO_READHEAD                IO$_READHEAD
#define IO_READLBLK                IO$_READLBLK
#define IO_READPBLK                IO$_READPBLK
#define IO_READPRESET              IO$_READPRESET
#define IO_READPROMPT              IO$_READPROMPT
#define IO_READRCT                 IO$_READRCT
#define IO_READRCTL                IO$_READRCTL
#define IO_READTRACKD              IO$_READTRACKD
#define IO_READVBLK                IO$_READVBLK
#define IO_RECAL                   IO$_RECAL
#define IO_RELEASE                 IO$_RELEASE
#define IO_REMSHAD                 IO$_REMSHAD
#define IO_REREADN                 IO$_REREADN
#define IO_REREADP                 IO$_REREADP
#define IO_RETCENTER               IO$_RETCENTER
#define IO_REWIND                  IO$_REWIND
#define IO_REWINDOFF               IO$_REWINDOFF
#define IO_SEARCH                  IO$_SEARCH
#define IO_SEEK                    IO$_SEEK
#define IO_SENSECHAR               IO$_SENSECHAR
#define IO_SENSEMODE               IO$_SENSEMODE
#define IO_SETCHAR                 IO$_SETCHAR
#define IO_SETCLOCK                IO$_SETCLOCK
#define IO_SETCLOCKP               IO$_SETCLOCKP
#define IO_SETMODE                 IO$_SETMODE
#define IO_SETPRFPATH              IO$_SETPRFPATH
#define IO_SHADMV                  IO$_SHADMV
#define IO_SKIPFILE                IO$_SKIPFILE
#define IO_SKIPRECORD              IO$_SKIPRECORD
#define IO_SPACEFILE               IO$_SPACEFILE
#define IO_SPACERECORD             IO$_SPACERECORD
#define IO_STARTDATA               IO$_STARTDATA
#define IO_STARTDATAP              IO$_STARTDATAP
#define IO_STARTMPROC              IO$_STARTMPROC
#define IO_STARTSPNDL              IO$_STARTSPNDL
#define IO_STOP                    IO$_STOP
#define IO_TTY_PORT                IO$_TTY_PORT
#define IO_TTYREADALL              IO$_TTYREADALL
#define IO_TTYREADPALL             IO$_TTYREADPALL
#define IO_UNLOAD                  IO$_UNLOAD
#define IO_VIRTUAL                 IO$_VIRTUAL
#define IO_WRITECHECK              IO$_WRITECHECK
#define IO_WRITECHECKH             IO$_WRITECHECKH
#define IO_WRITEHEAD               IO$_WRITEHEAD
#define IO_WRITELBLK               IO$_WRITELBLK
#define IO_WRITEMARK               IO$_WRITEMARK
#define IO_WRITEOF                 IO$_WRITEOF
#define IO_WRITEPBLK               IO$_WRITEPBLK
#define IO_WRITERET                IO$_WRITERET
#define IO_WRITETRACKD             IO$_WRITETRACKD
#define IO_WRITEVBLK               IO$_WRITEVBLK
#define IO_WRTTMKR                 IO$_WRTTMKR
#define JPI_IMAGNAME               JPI$_IMAGNAME
#define JPI_PID                    JPI$_PID
#define JPI_PRCNAM                 JPI$_PRCNAM
#define LAT_ALREADYDEF             LAT$_ALREADYDEF
#define LAT_CANTBIND               LAT$_CANTBIND
#define LAT_CMDBUFOVFLW            LAT$_CMDBUFOVFLW
#define LAT_CONAPPLICATION         LAT$_CONAPPLICATION
#define LAT_CONSISTANCY            LAT$_CONSISTANCY
#define LAT_CONTEXTINIT            LAT$_CONTEXTINIT
#define LAT_CONTIMEOUT             LAT$_CONTIMEOUT
#define LAT_FACILITY               LAT$_FACILITY
#define LAT_ILLSTRUCT              LAT$_ILLSTRUCT
#define LAT_INTERNAL               LAT$_INTERNAL
#define LAT_IVCMD                  LAT$_IVCMD
#define LAT_IVDEV                  LAT$_IVDEV
#define LAT_IVQUAL                 LAT$_IVQUAL
#define LAT_LINKACTIVE             LAT$_LINKACTIVE
#define LAT_LINKEXISTS             LAT$_LINKEXISTS
#define LAT_LOCKED                 LAT$_LOCKED
#define LAT_LOGSTOPPED             LAT$_LOGSTOPPED
#define LAT_LRJACCESSDENIED        LAT$_LRJACCESSDENIED
#define LAT_LRJACCESSREJECT        LAT$_LRJACCESSREJECT
#define LAT_LRJCORRUPT             LAT$_LRJCORRUPT
#define LAT_LRJDELETED             LAT$_LRJDELETED
#define LAT_LRJDISABLE             LAT$_LRJDISABLE
#define LAT_LRJILLEGAL             LAT$_LRJILLEGAL
#define LAT_LRJINUSE               LAT$_LRJINUSE
#define LAT_LRJNAMEUNKNOWN         LAT$_LRJNAMEUNKNOWN
#define LAT_LRJNOSERVICE           LAT$_LRJNOSERVICE
#define LAT_LRJNOSTART             LAT$_LRJNOSTART
#define LAT_LRJNOTOFFERED          LAT$_LRJNOTOFFERED
#define LAT_LRJNOTSUPPORT          LAT$_LRJNOTSUPPORT
#define LAT_LRJRESOURCE            LAT$_LRJRESOURCE
#define LAT_LRJSHUTDOWN            LAT$_LRJSHUTDOWN
#define LAT_LRJUNKNOWN             LAT$_LRJUNKNOWN
#define LAT_MAXLINKS               LAT$_MAXLINKS
#define LAT_MAXSERV                LAT$_MAXSERV
#define LAT_NOCONTEXT              LAT$_NOCONTEXT
#define LAT_NOHISTORY              LAT$_NOHISTORY
#define LAT_NOLINK                 LAT$_NOLINK
#define LAT_NONODE                 LAT$_NONODE
#define LAT_NOSERVERS              LAT$_NOSERVERS
#define LAT_NOSTARTHIST            LAT$_NOSTARTHIST
#define LAT_NOSUCHSERV             LAT$_NOSUCHSERV
#define LAT_NOTDEF                 LAT$_NOTDEF
#define LAT_NOTERMS                LAT$_NOTERMS
#define LAT_NOTFROMLAT             LAT$_NOTFROMLAT
#define LAT_NOTINITED              LAT$_NOTINITED
#define LAT_NOTLOADED              LAT$_NOTLOADED
#define LAT_NOTSET                 LAT$_NOTSET
#define LAT_NOTSTARTED             LAT$_NOTSTARTED
#define LAT_NOTSTOPPED             LAT$_NOTSTOPPED
#define LAT_SERVEXISTS             LAT$_SERVEXISTS
#define LAT_SET                    LAT$_SET
#define LAT_STARTED                LAT$_STARTED
#define LAT_STOPPED                LAT$_STOPPED
#define LAT_UNDEFLINK              LAT$_UNDEFLINK
#define LIB_ABSTIMREQ              LIB$_ABSTIMREQ
#define LIB_AMBDATTIM              LIB$_AMBDATTIM
#define LIB_AMBKEY                 LIB$_AMBKEY
#define LIB_AMBSYMDEF              LIB$_AMBSYMDEF
#define LIB_ATTCONSTO              LIB$_ATTCONSTO
#define LIB_ATTREQREF              LIB$_ATTREQREF
#define LIB_BADBLOADR              LIB$_BADBLOADR
#define LIB_BADBLOSIZ              LIB$_BADBLOSIZ
#define LIB_BADCCC                 LIB$_BADCCC
#define LIB_BADSTA                 LIB$_BADSTA
#define LIB_BADTAGVAL              LIB$_BADTAGVAL
#define LIB_BADZONE                LIB$_BADZONE
#define LIB_DECOVF                 LIB$_DECOVF
#define LIB_DEFFORUSE              LIB$_DEFFORUSE
#define LIB_DELTIMREQ              LIB$_DELTIMREQ
#define LIB_DESSTROVF              LIB$_DESSTROVF
#define LIB_EF_ALRFRE              LIB$_EF_ALRFRE
#define LIB_EF_ALRRES              LIB$_EF_ALRRES
#define LIB_EF_RESSYS              LIB$_EF_RESSYS
#define LIB_ELETOOLON              LIB$_ELETOOLON
#define LIB_ENGLUSED               LIB$_ENGLUSED
#define LIB_EOMERROR               LIB$_EOMERROR
#define LIB_EOMFATAL               LIB$_EOMFATAL
#define LIB_EOMWARN                LIB$_EOMWARN
#define LIB_ERRROUCAL              LIB$_ERRROUCAL
#define LIB_FACILITY               LIB$_FACILITY
#define LIB_FATERRLIB              LIB$_FATERRLIB
#define LIB_FILFAIMAT              LIB$_FILFAIMAT
#define LIB_FLTOVF                 LIB$_FLTOVF
#define LIB_FLTUND                 LIB$_FLTUND
#define LIB_GSDTYP                 LIB$_GSDTYP
#define LIB_ILLCOMPONENT           LIB$_ILLCOMPONENT
#define LIB_ILLFMLCNT              LIB$_ILLFMLCNT
#define LIB_ILLFORMAT              LIB$_ILLFORMAT
#define LIB_ILLINISTR              LIB$_ILLINISTR
#define LIB_ILLMODNAM              LIB$_ILLMODNAM
#define LIB_ILLPSCLEN              LIB$_ILLPSCLEN
#define LIB_ILLRECLEN              LIB$_ILLRECLEN
#define LIB_ILLRECLN2              LIB$_ILLRECLN2
#define LIB_ILLRECTY2              LIB$_ILLRECTY2
#define LIB_ILLRECTYP              LIB$_ILLRECTYP
#define LIB_ILLSYMLEN              LIB$_ILLSYMLEN
#define LIB_INCDATTIM              LIB$_INCDATTIM
#define LIB_INPSTRTRU              LIB$_INPSTRTRU
#define LIB_INSCLIMEM              LIB$_INSCLIMEM
#define LIB_INSEF                  LIB$_INSEF
#define LIB_INSLUN                 LIB$_INSLUN
#define LIB_INSVIRMEM              LIB$_INSVIRMEM
#define LIB_INTLOGERR              LIB$_INTLOGERR
#define LIB_INTOVF                 LIB$_INTOVF
#define LIB_INVARG                 LIB$_INVARG
#define LIB_INVARGORD              LIB$_INVARGORD
#define LIB_INVCHA                 LIB$_INVCHA
#define LIB_INVCLADSC              LIB$_INVCLADSC
#define LIB_INVCLADTY              LIB$_INVCLADTY
#define LIB_INVCVT                 LIB$_INVCVT
#define LIB_INVDTYDSC              LIB$_INVDTYDSC
#define LIB_INVFILSPE              LIB$_INVFILSPE
#define LIB_INVNBDS                LIB$_INVNBDS
#define LIB_INVOPER                LIB$_INVOPER
#define LIB_INVOPEZON              LIB$_INVOPEZON
#define LIB_INVSCRPOS              LIB$_INVSCRPOS
#define LIB_INVSTRDES              LIB$_INVSTRDES
#define LIB_INVSYMNAM              LIB$_INVSYMNAM
#define LIB_INVTYPE                LIB$_INVTYPE
#define LIB_INVXAB                 LIB$_INVXAB
#define LIB_IVTIME                 LIB$_IVTIME
#define LIB_K_VM_FIRST_FIT         LIB$K_VM_FIRST_FIT
#define LIB_K_VM_FIXED             LIB$K_VM_FIXED
#define LIB_K_VM_FREQ_SIZES        LIB$K_VM_FREQ_SIZES
#define LIB_K_VM_QUICK_FIT         LIB$K_VM_QUICK_FIT
#define LIB_KEYALRINS              LIB$_KEYALRINS
#define LIB_KEYNOTFOU              LIB$_KEYNOTFOU
#define LIB_LUNALRFRE              LIB$_LUNALRFRE
#define LIB_LUNRESSYS              LIB$_LUNRESSYS
#define LIB_M_VM_BOUNDARY_TAGS     LIB$M_VM_BOUNDARY_TAGS
#define LIB_M_VM_EXTEND_AREA       LIB$M_VM_EXTEND_AREA
#define LIB_M_VM_FREE_FILL0        LIB$M_VM_FREE_FILL0
#define LIB_M_VM_FREE_FILL1        LIB$M_VM_FREE_FILL1
#define LIB_M_VM_GET_FILL0         LIB$M_VM_GET_FILL0
#define LIB_M_VM_GET_FILL1         LIB$M_VM_GET_FILL1
#define LIB_NEGANS                 LIB$_NEGANS
#define LIB_NEGTIM                 LIB$_NEGTIM
#define LIB_NO_STRACT              LIB$_NO_STRACT
#define LIB_NOCLI                  LIB$_NOCLI
#define LIB_NOEOM                  LIB$_NOEOM
#define LIB_NORMAL                 LIB$_NORMAL
#define LIB_NOSUCHSYM              LIB$_NOSUCHSYM
#define LIB_NOTFOU                 LIB$_NOTFOU
#define LIB_NOTIMP                 LIB$_NOTIMP
#define LIB_NUMELEMENTS            LIB$_NUMELEMENTS
#define LIB_ONEDELTIM              LIB$_ONEDELTIM
#define LIB_ONEENTQUE              LIB$_ONEENTQUE
#define LIB_OUTSTRTRU              LIB$_OUTSTRTRU
#define LIB_PAGLIMEXC              LIB$_PAGLIMEXC
#define LIB_PUSSTAOVE              LIB$_PUSSTAOVE
#define LIB_QUEWASEMP              LIB$_QUEWASEMP
#define LIB_QUICONACT              LIB$_QUICONACT
#define LIB_QUIPRO                 LIB$_QUIPRO
#define LIB_RECTOOSML              LIB$_RECTOOSML
#define LIB_REENTRANCY             LIB$_REENTRANCY
#define LIB_RESTART                LIB$_RESTART
#define LIB_ROPRAND                LIB$_ROPRAND
#define LIB_SCRBUFOVF              LIB$_SCRBUFOVF
#define LIB_SECINTFAI              LIB$_SECINTFAI
#define LIB_SEQUENCE               LIB$_SEQUENCE
#define LIB_SEQUENCE2              LIB$_SEQUENCE2
#define LIB_SIGNO_ARG              LIB$_SIGNO_ARG
#define LIB_STRIS_INT              LIB$_STRIS_INT
#define LIB_STRLVL                 LIB$_STRLVL
#define LIB_STRTRU                 LIB$_STRTRU
#define LIB_SYNTAXERR              LIB$_SYNTAXERR
#define LIB_UNECLIERR              LIB$_UNECLIERR
#define LIB_UNRFORCOD              LIB$_UNRFORCOD
#define LIB_UNRKEY                 LIB$_UNRKEY
#define LIB_USEFLORES              LIB$_USEFLORES
#define LIB_WRONUMARG              LIB$_WRONUMARG
#define LNM_ACMODE                 LNM$_ACMODE
#define LNM_ATTRIBUTES             LNM$_ATTRIBUTES
#define LNM_INDEX                  LNM$_INDEX
#define LNM_LENGTH                 LNM$_LENGTH
#define LNM_LNMB_ADDR              LNM$_LNMB_ADDR
#define LNM_M_CASE_BLIND           LNM$M_CASE_BLIND
#define LNM_M_CONCEALED            LNM$M_CONCEALED
#define LNM_M_CONFINE              LNM$M_CONFINE
#define LNM_M_CREATE_IF            LNM$M_CREATE_IF
#define LNM_M_CRELOG               LNM$M_CRELOG
#define LNM_M_EXISTS               LNM$M_EXISTS
#define LNM_M_NO_ALIAS             LNM$M_NO_ALIAS
#define LNM_M_SHAREABLE            LNM$M_SHAREABLE
#define LNM_M_TABLE                LNM$M_TABLE
#define LNM_M_TERMINAL             LNM$M_TERMINAL
#define LNM_MAX_INDEX              LNM$_MAX_INDEX
#define LNM_PARENT                 LNM$_PARENT
#define LNM_STRING                 LNM$_STRING
#define LNM_TABLE                  LNM$_TABLE
#define OPC_RQ_RQST                OPC$_RQ_RQST
#define OPC_M_NM_OPER1             OPC$M_NM_OPER1
#define OPC_M_NM_OPER2             OPC$M_NM_OPER2
#define OPC_M_NM_OPER3             OPC$M_NM_OPER3
#define OPC_M_NM_OPER4             OPC$M_NM_OPER4
#define OPC_M_NM_OPER5             OPC$M_NM_OPER5
#define OPC_M_NM_OPER6             OPC$M_NM_OPER6
#define OPC_M_NM_OPER7             OPC$M_NM_OPER7
#define OPC_M_NM_OPER8             OPC$M_NM_OPER8
#define OPC_M_NM_OPER9             OPC$M_NM_OPER9
#define OPC_M_NM_OPER10            OPC$M_NM_OPER10
#define OPC_M_NM_OPER11            OPC$M_NM_OPER11
#define OPC_M_NM_OPER12            OPC$M_NM_OPER12
#define PPL_ABNORMAL_EXIT          PPL$_ABNORMAL_EXIT
#define PPL_ABNTERMIN              PPL$_ABNTERMIN
#define PPL_ATTUSETWO              PPL$_ATTUSETWO
#define PPL_BUFOVFL                PPL$_BUFOVFL
#define PPL_CREATED                PPL$_CREATED
#define PPL_CREATED_SOME           PPL$_CREATED_SOME
#define PPL_ELEALREXI              PPL$_ELEALREXI
#define PPL_EVENT_OCCURRED         PPL$_EVENT_OCCURRED
#define PPL_EXHNEVCAL              PPL$_EXHNEVCAL
#define PPL_EXITSTATUS             PPL$_EXITSTATUS
#define PPL_FACILITY               PPL$_FACILITY
#define PPL_IN_BARRIER_WAIT        PPL$_IN_BARRIER_WAIT
#define PPL_INCOMPEXI              PPL$_INCOMPEXI
#define PPL_INSVIRMEM              PPL$_INSVIRMEM
#define PPL_INTDELPRC              PPL$_INTDELPRC
#define PPL_INTTERMIN              PPL$_INTTERMIN
#define PPL_INVARG                 PPL$_INVARG
#define PPL_INVDESC                PPL$_INVDESC
#define PPL_INVELEID               PPL$_INVELEID
#define PPL_INVELENAM              PPL$_INVELENAM
#define PPL_INVELETYP              PPL$_INVELETYP
#define PPL_INVNUMCHI              PPL$_INVNUMCHI
#define PPL_INVSEMINI              PPL$_INVSEMINI
#define PPL_INVSEMMAX              PPL$_INVSEMMAX
#define PPL_K_ABNORMAL_EXIT        PPL$K_ABNORMAL_EXIT
#define PPL_K_NORMAL_EXIT          PPL$K_NORMAL_EXIT
#define PPL_LOCNOTEST              PPL$_LOCNOTEST
#define PPL_M_FLUSH                PPL$M_FLUSH
#define PPL_M_INIT_SYNCH           PPL$M_INIT_SYNCH
#define PPL_M_MOPT_SPARE           PPL$M_MOPT_SPARE
#define PPL_M_NODEBUG              PPL$M_NODEBUG
#define PPL_M_NON_BLOCKING         PPL$M_NON_BLOCKING
#define PPL_M_NOTIFY_ONE           PPL$M_NOTIFY_ONE
#define PPL_M_NOUNI                PPL$M_NOUNI
#define PPL_M_NOWRT                PPL$M_NOWRT
#define PPL_M_NOZERO               PPL$M_NOZERO
#define PPL_M_POPT_SPARE           PPL$M_POPT_SPARE
#define PPL_M_SPIN_WAIT            PPL$M_SPIN_WAIT
#define PPL_M_STOP_CHILDREN        PPL$M_STOP_CHILDREN
#define PPL_NO_SUCH_PARTY          PPL$_NO_SUCH_PARTY
#define PPL_NOINIT                 PPL$_NOINIT
#define PPL_NONPIC                 PPL$_NONPIC
#define PPL_NOONE_ENABLED          PPL$_NOONE_ENABLED
#define PPL_NORMAL                 PPL$_NORMAL
#define PPL_NORMAL_EXIT            PPL$_NORMAL_EXIT
#define PPL_NOSECEX                PPL$_NOSECEX
#define PPL_NOSUCHELE              PPL$_NOSUCHELE
#define PPL_NOSUCHLOC              PPL$_NOSUCHLOC
#define PPL_NOSUCHNAM              PPL$_NOSUCHNAM
#define PPL_NOT_AVAILABLE          PPL$_NOT_AVAILABLE
#define PPL_NOTIMP                 PPL$_NOTIMP
#define PPL_SEMALRMAX              PPL$_SEMALRMAX
#define PPL_SEMININON              PPL$_SEMININON
#define PPL_WRONUMARG              PPL$_WRONUMARG
#define SS_NORMAL                  SS$_NORMAL
#define SS_ACCVIO                  SS$_ACCVIO
#define SS_BADPARAM                SS$_BADPARAM
#define SS_EXQUOTA                 SS$_EXQUOTA
#define SS_NOPRIV                  SS$_NOPRIV
#define SS_ABORT                   SS$_ABORT
#define SS_BADATTRIB               SS$_BADATTRIB
#define SS_BADESCAPE               SS$_BADESCAPE
#define SS_BADIMGHDR               SS$_BADIMGHDR
#define SS_CHANINTLK               SS$_CHANINTLK
#define SS_CTRLERR                 SS$_CTRLERR
#define SS_DATACHECK               SS$_DATACHECK
#define SS_DEVFOREIGN              SS$_DEVFOREIGN
#define SS_DEVMOUNT                SS$_DEVMOUNT
#define SS_DEVNOTMBX               SS$_DEVNOTMBX
#define SS_DEVNOTMOUNT             SS$_DEVNOTMOUNT
#define SS_DEVOFFLINE              SS$_DEVOFFLINE
#define SS_DRVERR                  SS$_DRVERR
#define SS_DUPLNAM                 SS$_DUPLNAM
#define SS_FILACCERR               SS$_FILACCERR
#define SS_FILALRACC               SS$_FILALRACC
#define SS_FILNOTACC               SS$_FILNOTACC
#define SS_FILNOTEXP               SS$_FILNOTEXP
#define SS_FORMAT                  SS$_FORMAT
#define SS_GPTFULL                 SS$_GPTFULL
#define SS_GSDFULL                 SS$_GSDFULL
#define SS_LCKPAGFUL               SS$_LCKPAGFUL
#define SS_ILLBLKNUM               SS$_ILLBLKNUM
#define SS_ILLCNTRFUNC             SS$_ILLCNTRFUNC
#define SS_ILLEFC                  SS$_ILLEFC
#define SS_ILLIOFUNC               SS$_ILLIOFUNC
#define SS_ILLPAGCNT               SS$_ILLPAGCNT
#define SS_ILLSER                  SS$_ILLSER
#define SS_INCVOLLABEL             SS$_INCVOLLABEL
#define SS_INSFARG                 SS$_INSFARG
#define SS_INSFWSL                 SS$_INSFWSL
#define SS_INSFMEM                 SS$_INSFMEM
#define SS_INSFRAME                SS$_INSFRAME
#define SS_IVADDR                  SS$_IVADDR
#define SS_IVCHAN                  SS$_IVCHAN
#define SS_IVDEVNAM                SS$_IVDEVNAM
#define SS_IVGSDNAM                SS$_IVGSDNAM
#define SS_IVLOGNAM                SS$_IVLOGNAM
#define SS_IVLOGTAB                SS$_IVLOGTAB
#define SS_IVQUOTAL                SS$_IVQUOTAL
#define SS_IVSECFLG                SS$_IVSECFLG
#define SS_IVSSRQ                  SS$_IVSSRQ
#define SS_IVSTSFLG                SS$_IVSTSFLG
#define SS_IVTIME                  SS$_IVTIME
#define SS_LENVIO                  SS$_LENVIO
#define SS_LKWSETFUL               SS$_LKWSETFUL
#define SS_MBTOOSML                SS$_MBTOOSML
#define SS_MEDOFL                  SS$_MEDOFL
#define SS_NODATA                  SS$_NODATA
#define SS_NOIOCHAN                SS$_NOIOCHAN
#define SS_NOLOGNAM                SS$_NOLOGNAM
#define SS_NONEXDRV                SS$_NONEXDRV
#define SS_NOTFILEDEV              SS$_NOTFILEDEV
#define SS_NOTINTBLSZ              SS$_NOTINTBLSZ
#define SS_NOTLABELMT              SS$_NOTLABELMT
#define SS_NOTSQDEV                SS$_NOTSQDEV
#define SS_PAGOWNVIO               SS$_PAGOWNVIO
#define SS_PARITY                  SS$_PARITY
#define SS_PARTESCAPE              SS$_PARTESCAPE
#define SS_PFMBSY                  SS$_PFMBSY
#define SS_PSTFULL                 SS$_PSTFULL
#define SS_RESULTOVF               SS$_RESULTOVF
#define SS_SECTBLFUL               SS$_SECTBLFUL
#define SS_TAPEPOSLOST             SS$_TAPEPOSLOST
#define SS_TIMEOUT                 SS$_TIMEOUT
#define SS_UNASEFC                 SS$_UNASEFC
#define SS_UNSAFE                  SS$_UNSAFE
#define SS_VASFULL                 SS$_VASFULL
#define SS_VECINUSE                SS$_VECINUSE
#define SS_VOLINV                  SS$_VOLINV
#define SS_WRITLCK                 SS$_WRITLCK
#define SS_NOTAPEOP                SS$_NOTAPEOP
#define SS_IVCHNLSEC               SS$_IVCHNLSEC
#define SS_NOMBX                   SS$_NOMBX
#define SS_NOLINKS                 SS$_NOLINKS
#define SS_NOSOLICIT               SS$_NOSOLICIT
#define SS_NOSUCHNODE              SS$_NOSUCHNODE
#define SS_REJECT                  SS$_REJECT
#define SS_TOOMUCHDATA             SS$_TOOMUCHDATA
#define SS_BUGCHECK                SS$_BUGCHECK
#define SS_FILNOTCNTG              SS$_FILNOTCNTG
#define SS_BADSTACK                SS$_BADSTACK
#define SS_MCHECK                  SS$_MCHECK
#define SS_DEVACTIVE               SS$_DEVACTIVE
#define SS_HANGUP                  SS$_HANGUP
#define SS_OPINCOMPL               SS$_OPINCOMPL
#define SS_ILLSEQOP                SS$_ILLSEQOP
#define SS_IVSECIDCTL              SS$_IVSECIDCTL
#define SS_NOTNETDEV               SS$_NOTNETDEV
#define SS_IVPROTECT               SS$_IVPROTECT
#define SS_ACPVAFUL                SS$_ACPVAFUL
#define SS_MTLBLLONG               SS$_MTLBLLONG
#define SS_BUFBYTALI               SS$_BUFBYTALI
#define SS_NOAQB                   SS$_NOAQB
#define SS_WRONGACP                SS$_WRONGACP
#define SS_BUFNOTALIGN             SS$_BUFNOTALIGN
#define SS_DEVCMDERR               SS$_DEVCMDERR
#define SS_DEVREQERR               SS$_DEVREQERR
#define SS_INSFBUFDP               SS$_INSFBUFDP
#define SS_INSFMAPREG              SS$_INSFMAPREG
#define SS_IVBUFLEN                SS$_IVBUFLEN
#define SS_IVMODE                  SS$_IVMODE
#define SS_MCNOTVALID              SS$_MCNOTVALID
#define SS_POWERFAIL               SS$_POWERFAIL
#define SS_SHMGSNOTMAP             SS$_SHMGSNOTMAP
#define SS_TOOMANYLNAM             SS$_TOOMANYLNAM
#define SS_SHMNOTCNCT              SS$_SHMNOTCNCT
#define SS_NOTCREATOR              SS$_NOTCREATOR
#define SS_INTERLOCK               SS$_INTERLOCK
#define SS_BADQUEUEHDR             SS$_BADQUEUEHDR
#define SS_NOSLOT                  SS$_NOSLOT
#define SS_SUSPENDED               SS$_SUSPENDED
#define SS_EXPORTQUOTA             SS$_EXPORTQUOTA
#define SS_NOSHMBLOCK              SS$_NOSHMBLOCK
#define SS_BADQFILE                SS$_BADQFILE
#define SS_NOQFILE                 SS$_NOQFILE
#define SS_QFACTIVE                SS$_QFACTIVE
#define SS_QFNOTACT                SS$_QFNOTACT
#define SS_DUPDSKQUOTA             SS$_DUPDSKQUOTA
#define SS_NODISKQUOTA             SS$_NODISKQUOTA
#define SS_EXDISKQUOTA             SS$_EXDISKQUOTA
#define SS_IDMISMATCH              SS$_IDMISMATCH
#define SS_NOWRT                   SS$_NOWRT
#define SS_BADISD                  SS$_BADISD
#define SS_RELINK                  SS$_RELINK
#define SS_NOTINSTALL              SS$_NOTINSTALL
#define SS_SHARTOOBIG              SS$_SHARTOOBIG
#define SS_NOP1VA                  SS$_NOP1VA
#define SS_MULTRMS                 SS$_MULTRMS
#define SS_VECFULL                 SS$_VECFULL
#define SS_IVLVEC                  SS$_IVLVEC
#define SS_INSFSPTS                SS$_INSFSPTS
#define SS_DISCONNECT              SS$_DISCONNECT
#define SS_PRIVINSTALL             SS$_PRIVINSTALL
#define SS_PROTINSTALL             SS$_PROTINSTALL
#define SS_BADVEC                  SS$_BADVEC
#define SS_REMRSRC                 SS$_REMRSRC
#define SS_PROTOCOL                SS$_PROTOCOL
#define SS_THIRDPARTY              SS$_THIRDPARTY
#define SS_NOSUCHUSER              SS$_NOSUCHUSER
#define SS_SHUT                    SS$_SHUT
#define SS_UNREACHABLE             SS$_UNREACHABLE
#define SS_INVLOGIN                SS$_INVLOGIN
#define SS_NOSUCHOBJ               SS$_NOSUCHOBJ
#define SS_EXCPUTIM                SS$_EXCPUTIM
#define SS_OPRABORT                SS$_OPRABORT
#define SS_SHRIDMISMAT             SS$_SHRIDMISMAT
#define SS_COMMHARD                SS$_COMMHARD
#define SS_IVCHAR                  SS$_IVCHAR
#define SS_DEVINACT                SS$_DEVINACT
#define SS_CONNECFAIL              SS$_CONNECFAIL
#define SS_LINKABORT               SS$_LINKABORT
#define SS_LINKDISCON              SS$_LINKDISCON
#define SS_LINKEXIT                SS$_LINKEXIT
#define SS_PATHLOST                SS$_PATHLOST
#define SS_CLEARED                 SS$_CLEARED
#define SS_RESET                   SS$_RESET
#define SS_UNSOLICIT               SS$_UNSOLICIT
#define SS_TOOMANYREDS             SS$_TOOMANYREDS
#define SS_IVLOCKID                SS$_IVLOCKID
#define SS_SUBLOCKS                SS$_SUBLOCKS
#define SS_PARNOTGRANT             SS$_PARNOTGRANT
#define SS_CVTUNGRANT              SS$_CVTUNGRANT
#define SS_FORCEDERROR             SS$_FORCEDERROR
#define SS_ILLSELF                 SS$_ILLSELF
#define SS_ILLCDTST                SS$_ILLCDTST
#define SS_NOLISTENER              SS$_NOLISTENER
#define SS_EXGBLPAGFIL             SS$_EXGBLPAGFIL
#define SS_BADRCT                  SS$_BADRCT
#define SS_DIRNOTEMPTY             SS$_DIRNOTEMPTY
#define SS_FORCEDEXIT              SS$_FORCEDEXIT
#define SS_NOTPRINTED              SS$_NOTPRINTED
#define SS_JBCERROR                SS$_JBCERROR
#define SS_NOLICENSE               SS$_NOLICENSE
#define SS_VCBROKEN                SS$_VCBROKEN
#define SS_VCCLOSED                SS$_VCCLOSED
#define SS_INSFCDT                 SS$_INSFCDT
#define SS_DEVNOTDISM              SS$_DEVNOTDISM
#define SS_NOSHRIMG                SS$_NOSHRIMG
#define SS_DUPUNIT                 SS$_DUPUNIT
#define SS_BADACLCTX               SS$_BADACLCTX
#define SS_SERIOUSEXCP             SS$_SERIOUSEXCP
#define SS_TEMPLATEDEV             SS$_TEMPLATEDEV
#define SS_IVACL                   SS$_IVACL
#define SS_NOSUCHID                SS$_NOSUCHID
#define SS_NOLCLMEDA               SS$_NOLCLMEDA
#define SS_NOREGAVIL               SS$_NOREGAVIL
#define SS_NOREGSUIT               SS$_NOREGSUIT
#define SS_NOSUCHPGM               SS$_NOSUCHPGM
#define SS_PGMLDFAIL               SS$_PGMLDFAIL
#define SS_PGMSTDALN               SS$_PGMSTDALN
#define SS_IVIDENT                 SS$_IVIDENT
#define SS_DUPIDENT                SS$_DUPIDENT
#define SS_INCSEGTRA               SS$_INCSEGTRA
#define SS_NODELEAVE               SS$_NODELEAVE
#define SS_KERNELINV               SS$_KERNELINV
#define SS_EXLNMQUOTA              SS$_EXLNMQUOTA
#define SS_PARENT_DEL              SS$_PARENT_DEL
#define SS_PARNOTSYS               SS$_PARNOTSYS
#define SS_INSSWAPSPACE            SS$_INSSWAPSPACE
#define SS_VOLOERR                 SS$_VOLOERR
#define SS_DATALATE                SS$_DATALATE
#define SS_OVRMAXARG               SS$_OVRMAXARG
#define SS_SHACHASTA               SS$_SHACHASTA
#define SS_TERMNETDEV              SS$_TERMNETDEV
#define SS_NOLOGTAB                SS$_NOLOGTAB
#define SS_WRONGNAME               SS$_WRONGNAME
#define SS_NOVOLACC                SS$_NOVOLACC
#define SS_NOFILACC                SS$_NOFILACC
#define SS_INVEXHLIST              SS$_INVEXHLIST
#define SS_NOACLSUPPORT            SS$_NOACLSUPPORT
#define SS_INVSECLASS              SS$_INVSECLASS
#define SS_INCSHAMEM               SS$_INCSHAMEM
#define SS_DEVNOTSHR               SS$_DEVNOTSHR
#define SS_RUCONFLICT              SS$_RUCONFLICT
#define SS_DATALOST                SS$_DATALOST
#define SS_REMOTE_PROC             SS$_REMOTE_PROC
#define SS_CPUNOTACT               SS$_CPUNOTACT
#define SS_SRVMMAT                 SS$_SRVMMAT
#define SS_EXLICENSE               SS$_EXLICENSE
#define SS_INVLICENSE              SS$_INVLICENSE
#define SS_LICENSE_LEVEL           SS$_LICENSE_LEVEL
#define SS_INV_HW_ID               SS$_INV_HW_ID
#define SS_BADCONTEXT              SS$_BADCONTEXT
#define SS_TOOMUCHCTX              SS$_TOOMUCHCTX
#define SS_VA_IN_USE               SS$_VA_IN_USE
#define SS_NODELETE                SS$_NODELETE
#define SS_NOSUCHCPU               SS$_NOSUCHCPU
#define SS_PLHLDR                  SS$_PLHLDR
#define SS_ASTFLT                  SS$_ASTFLT
#define SS_BREAK                   SS$_BREAK
#define SS_CMODSUPR                SS$_CMODSUPR
#define SS_CMODUSER                SS$_CMODUSER
#define SS_COMPAT                  SS$_COMPAT
#define SS_OPCCUS                  SS$_OPCCUS
#define SS_OPCDEC                  SS$_OPCDEC
#define SS_PAGRDERR                SS$_PAGRDERR
#define SS_RADRMOD                 SS$_RADRMOD
#define SS_ROPRAND                 SS$_ROPRAND
#define SS_SSFAIL                  SS$_SSFAIL
#define SS_TBIT                    SS$_TBIT
#define SS_DEBUG                   SS$_DEBUG
#define SS_ARTRES                  SS$_ARTRES
#define SS_INTOVF                  SS$_INTOVF
#define SS_INTDIV                  SS$_INTDIV
#define SS_FLTOVF                  SS$_FLTOVF
#define SS_FLTDIV                  SS$_FLTDIV
#define SS_FLTUND                  SS$_FLTUND
#define SS_DECOVF                  SS$_DECOVF
#define SS_SUBRNG                  SS$_SUBRNG
#define SS_FLTOVF_F                SS$_FLTOVF_F
#define SS_FLTDIV_F                SS$_FLTDIV_F
#define SS_FLTUND_F                SS$_FLTUND_F
#define SS_INHCHMK                 SS$_INHCHMK
#define SS_INHCHME                 SS$_INHCHME
#define SS_BUFFEROVF               SS$_BUFFEROVF
#define SS_CONTROLO                SS$_CONTROLO
#define SS_CONTROLY                SS$_CONTROLY
#define SS_CREATED                 SS$_CREATED
#define SS_MSGNOTFND               SS$_MSGNOTFND
#define SS_NOTRAN                  SS$_NOTRAN
#define SS_SUPERSEDE               SS$_SUPERSEDE
#define SS_WASECC                  SS$_WASECC
#define SS_DEVALRALLOC             SS$_DEVALRALLOC
#define SS_REMOTE                  SS$_REMOTE
#define SS_CONTROLC                SS$_CONTROLC
#define SS_NOTMODIFIED             SS$_NOTMODIFIED
#define SS_RDDELDATA               SS$_RDDELDATA
#define SS_OVRDSKQUOTA             SS$_OVRDSKQUOTA
#define SS_SYSVERDIF               SS$_SYSVERDIF
#define SS_FILEPURGED              SS$_FILEPURGED
#define SS_NOTALLPRIV              SS$_NOTALLPRIV
#define SS_SYNCH                   SS$_SYNCH
#define SS_CONCEALED               SS$_CONCEALED
#define SS_INCOMPAT                SS$_INCOMPAT
#define SS_DBGOPCREQ               SS$_DBGOPCREQ
#define SS_ALRDYCLOSED             SS$_ALRDYCLOSED
#define SS_LNMCREATED              SS$_LNMCREATED
#define SS_ACEIDMATCH              SS$_ACEIDMATCH
#define SS_DBGEVENT                SS$_DBGEVENT
#define SS_REMOVED                 SS$_REMOVED
#define SS_LASTID                  SS$_LASTID
#define SS_NOMOREID                SS$_NOMOREID
#define SS_ACCONFLICT              SS$_ACCONFLICT
#define SS_BADCHKSUM               SS$_BADCHKSUM
#define SS_BADFILEHDR              SS$_BADFILEHDR
#define SS_BADFILENAME             SS$_BADFILENAME
#define SS_BADFILEVER              SS$_BADFILEVER
#define SS_BADIRECTORY             SS$_BADIRECTORY
#define SS_CANCEL                  SS$_CANCEL
#define SS_DATAOVERUN              SS$_DATAOVERUN
#define SS_DEVALLOC                SS$_DEVALLOC
#define SS_DEVASSIGN               SS$_DEVASSIGN
#define SS_DEVICEFULL              SS$_DEVICEFULL
#define SS_DEVNOTALLOC             SS$_DEVNOTALLOC
#define SS_DIRFULL                 SS$_DIRFULL
#define SS_DUPFILENAME             SS$_DUPFILENAME
#define SS_ENDOFFILE               SS$_ENDOFFILE
#define SS_ENDOFTAPE               SS$_ENDOFTAPE
#define SS_EXTIDXFILE              SS$_EXTIDXFILE
#define SS_FCPREADERR              SS$_FCPREADERR
#define SS_FCPREWNDERR             SS$_FCPREWNDERR
#define SS_FCPSPACERR              SS$_FCPSPACERR
#define SS_FCPWRITERR              SS$_FCPWRITERR
#define SS_FILELOCKED              SS$_FILELOCKED
#define SS_FILENUMCHK              SS$_FILENUMCHK
#define SS_FILESEQCHK              SS$_FILESEQCHK
#define SS_FILESTRUCT              SS$_FILESTRUCT
#define SS_HEADERFULL              SS$_HEADERFULL
#define SS_IDXFILEFULL             SS$_IDXFILEFULL
#define SS_MBFULL                  SS$_MBFULL
#define SS_NOHOMEBLK               SS$_NOHOMEBLK
#define SS_NONEXPR                 SS$_NONEXPR
#define SS_NONLOCAL                SS$_NONLOCAL
#define SS_NOHANDLER               SS$_NOHANDLER
#define SS_NOSIGNAL                SS$_NOSIGNAL
#define SS_NOSUCHDEV               SS$_NOSUCHDEV
#define SS_NOSUCHFILE              SS$_NOSUCHFILE
#define SS_RESIGNAL                SS$_RESIGNAL
#define SS_UNWIND                  SS$_UNWIND
#define SS_UNWINDING               SS$_UNWINDING
#define SS_NOMOREFILES             SS$_NOMOREFILES
#define SS_BEGOFFILE               SS$_BEGOFFILE
#define SS_BLOCKCNTERR             SS$_BLOCKCNTERR
#define SS_MUSTCLOSEFL             SS$_MUSTCLOSEFL
#define SS_WAITUSRLBL              SS$_WAITUSRLBL
#define SS_ILLUSRLBLRD             SS$_ILLUSRLBLRD
#define SS_ILLUSRLBLWT             SS$_ILLUSRLBLWT
#define SS_ILLLBLAST               SS$_ILLLBLAST
#define SS_ENDOFUSRLBL             SS$_ENDOFUSRLBL
#define SS_NOSUCHSEC               SS$_NOSUCHSEC
#define SS_CLIFRCEXT               SS$_CLIFRCEXT
#define SS_FCPREPSTN               SS$_FCPREPSTN
#define SS_TOOMANYVER              SS$_TOOMANYVER
#define SS_NOTVOLSET               SS$_NOTVOLSET
#define SS_ENDOFVOLUME             SS$_ENDOFVOLUME
#define SS_NOMOREPROC              SS$_NOMOREPROC
#define SS_NODEVAVL                SS$_NODEVAVL
#define SS_NOTQUEUED               SS$_NOTQUEUED
#define SS_DGQINCOMP               SS$_DGQINCOMP
#define SS_DIRALLOC                SS$_DIRALLOC
#define SS_ACLEMPTY                SS$_ACLEMPTY
#define SS_NOENTRY                 SS$_NOENTRY
#define SS_NOMOREACE               SS$_NOMOREACE
#define SS_RIGHTSFULL              SS$_RIGHTSFULL
#define SS_VALNOTVALID             SS$_VALNOTVALID
#define SS_ACLFULL                 SS$_ACLFULL
#define SS_NOMORENODE              SS$_NOMORENODE
#define SS_NOMORELOCK              SS$_NOMORELOCK
#define SS_BEGOFTAPE               SS$_BEGOFTAPE
#define SS_OBJLOCKHELD             SS$_OBJLOCKHELD
#define SS_RLSEMPTY                SS$_RLSEMPTY
#define SS_ALLSTARTED              SS$_ALLSTARTED
#define SS_ALRDYSTRT               SS$_ALRDYSTRT
#define SS_ALRDYSTPPD              SS$_ALRDYSTPPD
#define SS_NSTPPD                  SS$_NSTPPD
#define SS_EOTIN                   SS$_EOTIN
#define SS_CHAINW                  SS$_CHAINW
#define SS_NOTINSEC                SS$_NOTINSEC
#define SS_NONXPAG                 SS$_NONXPAG
#define SS_LINEABRT                SS$_LINEABRT
#define SS_DEADLOCK                SS$_DEADLOCK
#define SS_NOLOCKID                SS$_NOLOCKID
#define SS_EXDEPTH                 SS$_EXDEPTH
#define SS_PARTMAPPED              SS$_PARTMAPPED
#define SS_CANCELGRANT             SS$_CANCELGRANT
#define SS_RETRY                   SS$_RETRY
#define SS_BADACL                  SS$_BADACL
#define SS_ACEEXISTS               SS$_ACEEXISTS
#define SS_UNSUPPORTED             SS$_UNSUPPORTED
#define SS_NORIGHTSDB              SS$_NORIGHTSDB
#define SS_NOPRIVSTRT              SS$_NOPRIVSTRT
#define SS_NOCMKRNL                SS$_NOCMKRNL
#define SS_NOCMEXEC                SS$_NOCMEXEC
#define SS_NOSYSNAM                SS$_NOSYSNAM
#define SS_NOGRPNAM                SS$_NOGRPNAM
#define SS_NOALLSPOOL              SS$_NOALLSPOOL
#define SS_NODETACH                SS$_NODETACH
#define SS_NODIAGNOSE              SS$_NODIAGNOSE
#define SS_NOLOG_IO                SS$_NOLOG_IO
#define SS_NOGROUP                 SS$_NOGROUP
#define SS_NOACNT                  SS$_NOACNT
#define SS_NOPRMCEB                SS$_NOPRMCEB
#define SS_NOPRMMBX                SS$_NOPRMMBX
#define SS_NOPSWAPM                SS$_NOPSWAPM
#define SS_NOALTPRI                SS$_NOALTPRI
#define SS_NOSETPRV                SS$_NOSETPRV
#define SS_NOTMPMBX                SS$_NOTMPMBX
#define SS_NOWORLD                 SS$_NOWORLD
#define SS_NOMOUNT                 SS$_NOMOUNT
#define SS_NOOPER                  SS$_NOOPER
#define SS_NOEXQUOTA               SS$_NOEXQUOTA
#define SS_NONETMBX                SS$_NONETMBX
#define SS_NOVOLPRO                SS$_NOVOLPRO
#define SS_NOPHY_IO                SS$_NOPHY_IO
#define SS_NOBUGCHK                SS$_NOBUGCHK
#define SS_NOPRMGBL                SS$_NOPRMGBL
#define SS_NOSYSGBL                SS$_NOSYSGBL
#define SS_NOPFNMAP                SS$_NOPFNMAP
#define SS_NOSHMEM                 SS$_NOSHMEM
#define SS_NOSYSPRV                SS$_NOSYSPRV
#define SS_NOBYPASS                SS$_NOBYPASS
#define SS_NOSYSLCK                SS$_NOSYSLCK
#define SS_UNUSED_1                SS$_UNUSED_1
#define SS_UNUSED_2                SS$_UNUSED_2
#define SS_NODOWNGRADE             SS$_NODOWNGRADE
#define SS_NOUPGRADE               SS$_NOUPGRADE
#define SS_NOGRPPRV                SS$_NOGRPPRV
#define SS_NOREADALL               SS$_NOREADALL
#define SS_NOSHARE                 SS$_NOSHARE
#define SS_NOSECURITY              SS$_NOSECURITY
#define SS_NOPRIVEND               SS$_NOPRIVEND
#define SS_EXQUOTASTRT             SS$_EXQUOTASTRT
#define SS_EXASTLM                 SS$_EXASTLM
#define SS_EXBIOLM                 SS$_EXBIOLM
#define SS_EXBYTLM                 SS$_EXBYTLM
#define SS_EXDIOLM                 SS$_EXDIOLM
#define SS_EXFILLM                 SS$_EXFILLM
#define SS_EXPGFLQUOTA             SS$_EXPGFLQUOTA
#define SS_EXPRCLM                 SS$_EXPRCLM
#define SS_EXTQELM                 SS$_EXTQELM
#define SS_EXENQLM                 SS$_EXENQLM
#define SS_EXQUOTAEND              SS$_EXQUOTAEND
#define TRM_MODIFIERS              TRM$_MODIFIERS
#define TRM_EDITMODE               TRM$_EDITMODE
#define TRM_TIMEOUT                TRM$_TIMEOUT
#define TRM_TERM                   TRM$_TERM
#define TRM_PROMPT                 TRM$_PROMPT
#define TRM_INISTRNG               TRM$_INISTRNG
#define TRM_PICSTRNG               TRM$_PICSTRNG
#define TRM_FILLCHR                TRM$_FILLCHR
#define TRM_INIOFFSET              TRM$_INIOFFSET
#define TRM_ALTECHSTR              TRM$_ALTECHSTR
#define TRM_ESCTRMOVR              TRM$_ESCTRMOVR
#define TRM_LASTITM                TRM$_LASTITM
#define TRM_K_EM_DEFAULT           TRM$K_EM_DEFAULT
#define TRM_K_EM_RDVERIFY          TRM$K_EM_RDVERIFY
#define TRM_M_TM_NOECHO            TRM$M_TM_NOECHO
#define TRM_M_TM_TIMED             TRM$M_TM_TIMED
#define TRM_M_TM_CVTLOW            TRM$M_TM_CVTLOW
#define TRM_M_TM_NOFILTR           TRM$M_TM_NOFILTR
#define TRM_M_TM_DSABLMBX          TRM$M_TM_DSABLMBX
#define TRM_M_TM_PURGE             TRM$M_TM_PURGE
#define TRM_M_TM_TRMNOECHO         TRM$M_TM_TRMNOECHO
#define TRM_M_TM_REFRESH           TRM$M_TM_REFRESH
#define TRM_M_TM_ESCAPE            TRM$M_TM_ESCAPE
#define TRM_M_TM_NOEDIT            TRM$M_TM_NOEDIT
#define TRM_M_TM_NORECALL          TRM$M_TM_NORECALL
#define TRM_M_TM_R_JUST            TRM$M_TM_R_JUST
#define TRM_M_TM_AUTO_TAB          TRM$M_TM_AUTO_TAB
#define TRM_M_CV_UPPER             TRM$M_CV_UPPER
#define TRM_M_CV_LOWER             TRM$M_CV_LOWER
#define TRM_M_CV_NUMERIC           TRM$M_CV_NUMERIC
#define TRM_M_CV_NUMPUNC           TRM$M_CV_NUMPUNC
#define TRM_M_CV_PRINTABLE         TRM$M_CV_PRINTABLE
#define TRM_M_CV_ANY               TRM$M_CV_ANY
#define TT_C_BAUD_50               TT$C_BAUD_50
#define TT_C_BAUD_75               TT$C_BAUD_75
#define TT_C_BAUD_110              TT$C_BAUD_110
#define TT_C_BAUD_134              TT$C_BAUD_134
#define TT_C_BAUD_150              TT$C_BAUD_150
#define TT_C_BAUD_300              TT$C_BAUD_300
#define TT_C_BAUD_600              TT$C_BAUD_600
#define TT_C_BAUD_1200             TT$C_BAUD_1200
#define TT_C_BAUD_1800             TT$C_BAUD_1800
#define TT_C_BAUD_2000             TT$C_BAUD_2000
#define TT_C_BAUD_2400             TT$C_BAUD_2400
#define TT_C_BAUD_3600             TT$C_BAUD_3600
#define TT_C_BAUD_4800             TT$C_BAUD_4800
#define TT_C_BAUD_7200             TT$C_BAUD_7200
#define TT_C_BAUD_9600             TT$C_BAUD_9600
#define TT_C_BAUD_19200            TT$C_BAUD_19200
#define TT_C_BAUD_38400            TT$C_BAUD_38400
#define TT_UNKNOWN                 TT$_UNKNOWN
#define TT_VT05                    TT$_VT05
#define TT_VK100                   TT$_VK100
#define TT_VT173                   TT$_VT173
#define TT_TQ_BTS                  TT$_TQ_BTS
#define TT_TEK401X                 TT$_TEK401X
#define TT_FT1                     TT$_FT1
#define TT_FT2                     TT$_FT2
#define TT_FT3                     TT$_FT3
#define TT_FT4                     TT$_FT4
#define TT_FT5                     TT$_FT5
#define TT_FT6                     TT$_FT6
#define TT_FT7                     TT$_FT7
#define TT_FT8                     TT$_FT8
#define TT_LAX                     TT$_LAX
#define TT_LA36                    TT$_LA36
#define TT_LA120                   TT$_LA120
#define TT_LA34                    TT$_LA34
#define TT_LA38                    TT$_LA38
#define TT_LA12                    TT$_LA12
#define TT_LA100                   TT$_LA100
#define TT_LA24                    TT$_LA24
#define TT_LQP02                   TT$_LQP02
#define TT_LA84                    TT$_LA84
#define TT_LA210                   TT$_LA210
#define TT_LN03                    TT$_LN03
#define TT_LN01K                   TT$_LN01K
#define TT_LA80                    TT$_LA80
#define TT_VT5X                    TT$_VT5X
#define TT_VT52                    TT$_VT52
#define TT_VT55                    TT$_VT55
#define TT_VT100                   TT$_VT100
#define TT_VT101                   TT$_VT101
#define TT_VT102                   TT$_VT102
#define TT_VT105                   TT$_VT105
#define TT_VT125                   TT$_VT125
#define TT_VT131                   TT$_VT131
#define TT_VT132                   TT$_VT132
#define TT_VT80                    TT$_VT80
#define TT_VT200_SERIES            TT$_VT200_SERIES
#define TT_PRO_SERIES              TT$_PRO_SERIES
#define TT_VT300_SERIES            TT$_VT300_SERIES
#define TT_M_PASSALL               TT$M_PASSALL
#define TT_M_NOECHO                TT$M_NOECHO
#define TT_M_NOTYPEAHD             TT$M_NOTYPEAHD
#define TT_M_ESCAPE                TT$M_ESCAPE
#define TT_M_HOSTSYNC              TT$M_HOSTSYNC
#define TT_M_TTSYNC                TT$M_TTSYNC
#define TT_M_SCRIPT                TT$M_SCRIPT
#define TT_M_LOWER                 TT$M_LOWER
#define TT_M_MECHTAB               TT$M_MECHTAB
#define TT_M_WRAP                  TT$M_WRAP
#define TT_M_CRFILL                TT$M_CRFILL
#define TT_M_LFFILL                TT$M_LFFILL
#define TT_M_SCOPE                 TT$M_SCOPE
#define TT_M_REMOTE                TT$M_REMOTE
#define TT_M_RESERVED              TT$M_RESERVED
#define TT_M_EIGHTBIT              TT$M_EIGHTBIT
#define TT_M_MBXDSABL              TT$M_MBXDSABL
#define TT_M_NOBRDCST              TT$M_NOBRDCST
#define TT_M_READSYNC              TT$M_READSYNC
#define TT_M_MECHFORM              TT$M_MECHFORM
#define TT_M_HALFDUP               TT$M_HALFDUP
#define TT_M_MODEM                 TT$M_MODEM
#define TT_M_OPER                  TT$M_OPER
#define TT_M_PAGE                  TT$M_PAGE
#define TT_M_ALTFRAME              TT$M_ALTFRAME
#define TT_M_ALTRPAR               TT$M_ALTRPAR
#define TT_M_PARITY                TT$M_PARITY
#define TT_M_ODD                   TT$M_ODD
#define TT_M_TWOSTOP               TT$M_TWOSTOP
#define TT_M_DISPARERR             TT$M_DISPARERR
#define TT_M_ALTDISPAR             TT$M_ALTDISPAR
#define TT_M_BREAK                 TT$M_BREAK
#define TT_M_DS_DTR                TT$M_DS_DTR
#define TT_M_DS_SECTX              TT$M_DS_SECTX
#define TT_M_DS_RTS                TT$M_DS_RTS
#define TT_M_DS_SECREC             TT$M_DS_SECREC
#define TT_M_DS_CTS                TT$M_DS_CTS
#define TT_M_DS_CARRIER            TT$M_DS_CARRIER
#define TT_M_DS_RING               TT$M_DS_RING
#define TT_M_DS_DSR                TT$M_DS_DSR
#define TT2_M_LOCALECHO            TT2$M_LOCALECHO
#define TT2_M_AUTOBAUD             TT2$M_AUTOBAUD
#define TT2_M_HANGUP               TT2$M_HANGUP
#define TT2_M_MODHANGUP            TT2$M_MODHANGUP
#define TT2_M_BRDCSTMBX            TT2$M_BRDCSTMBX
#define TT2_M_XON                  TT2$M_XON
#define TT2_M_DMA                  TT2$M_DMA
#define TT2_M_ALTYPEAHD            TT2$M_ALTYPEAHD
#define TT2_M_SETSPEED             TT2$M_SETSPEED
#define TT2_M_DCL_MAILBX           TT2$M_DCL_MAILBX
#define TT2_M_DCL_OUTBND           TT2$M_DCL_OUTBND
#define TT2_M_DCL_CTRLC            TT2$M_DCL_CTRLC
#define TT2_M_EDITING              TT2$M_EDITING
#define TT2_M_INSERT               TT2$M_INSERT
#define TT2_M_FALLBACK             TT2$M_FALLBACK
#define TT2_M_DIALUP               TT2$M_DIALUP
#define TT2_M_SECURE               TT2$M_SECURE
#define TT2_M_DISCONNECT           TT2$M_DISCONNECT
#define TT2_M_PASTHRU              TT2$M_PASTHRU
#define TT2_M_SYSPWD               TT2$M_SYSPWD
#define TT2_M_SIXEL                TT2$M_SIXEL
#define TT2_M_DRCS                 TT2$M_DRCS
#define TT2_M_PRINTER              TT2$M_PRINTER
#define TT2_M_APP_KEYPAD           TT2$M_APP_KEYPAD
#define TT2_M_ANSICRT              TT2$M_ANSICRT
#define TT2_M_REGIS                TT2$M_REGIS
#define TT2_M_BLOCK                TT2$M_BLOCK
#define TT2_M_AVO                  TT2$M_AVO
#define TT2_M_EDIT                 TT2$M_EDIT
#define TT2_M_DECCRT               TT2$M_DECCRT
#define TT2_M_DECCRT2              TT2$M_DECCRT2
#define TT2_M_DECCRT3              TT2$M_DECCRT3
#define SYI_NODENAME               SYI$_NODENAME

#endif     /*  End definitions for VAX/VMS                                   */


/*- Define Vax data types ---------------------------------------------------*/

typedef struct {                        /*  Fixed-string descriptor:         */
    word  Length;                       /*    Length of string in bytes      */
    byte  Dtype;                        /*    Must be DSC_K_DTYPE_T          */
    byte  Class;                        /*    Must be DSC_K_CLASS_S          */
    char *Value;                        /*    Address of start of string     */
} dsc_descriptor_s;

#define desc                             dsc_descriptor_s
#define String(name,string)              name = {                        \
                                             sizeof (string) - 1,        \
                                             DSC_K_DTYPE_T,              \
                                             DSC_K_CLASS_S,              \
                                             string }

typedef struct {                        /*  Shared memory area descriptor:   */
    long  Size;                         /*    Size of shared memory area     */
    void *Start;                        /*    Start of area, if required     */
} mem_descriptor;

typedef struct {                        /*  Logical name item descriptor     */
    word  Size;                         /*    Size of buffer                 */
    word  Code;                         /*    Item code, LNM_STRING          */
    char *Value;                        /*    Points to start of buffer      */
    long *RetSize;                      /*    Returned value size            */
} lnm_descriptor;

typedef struct {                        /*  IO status block for QIO calls    */
    word Status;                        /*    Status after call (0 = ok)     */
    word Length;                        /*    Number of bytes processed      */
    long Other;                         /*    Various purposes               */
} IOSB;

typedef struct {                        /*  ACMS identifier block            */
    long Id [2];                        /*    consists of quadword           */
} ACMSID;

typedef struct {                        /*  ACMS return status block         */
    long Status;                        /*    Status after call              */
    long Other;                         /*    Unspecified purpose            */
} ACSB;

typedef struct {                        /*  Terminal characteristics block   */
    byte Class;                         /*    Device class                   */
    byte Type;                          /*    Device type                    */
    word Width;                         /*    Page width                     */
    long Char1,                         /*    Basic characteristics          */
         Char2;                         /*    Extended characteristics       */
} TERM_MODE;


/*- Define Function Prototypes ----------------------------------------------*/

#ifdef __MSDOS__

/*  Extra parameters for asynchronous versions of functions                  */
#define __A                         ACSB *acsb, void *, void *afct, void *aparm
long  acms_call                    (ACMSID *submitter, ACMSID *procedure,
                                    void *arguments, long *);
long  acms_call_a                  (ACMSID *submitter, ACMSID *procedure,
                                    void *arguments, long *, __A);
long  acms_cancel_call             (ACMSID *submitter, ACMSID *callid,
                                    long *reason);
long  acms_cancel_call_a           (ACMSID *submitter, ACMSID *callid,
                                    long *reason, __A);
long  acms_get_procedure_info      (ACMSID *submitter, desc *task,
                                    desc *application, void *itemlist);
long  acms_get_procedure_info_a    (ACMSID *submitter, desc *task,
                                    desc *application, void *itemlist, __A);
long  acms_init_exchange_io        (ACMSID *submitter, ACMSID *exchangeio,
                                    long *flags, void *itemlist,
                                    long *capabilities);
long  acms_init_exchange_io_a      (ACMSID *submitter, ACMSID *exchangeio,
                                    long *flags, void *itemList,
                                    long *capabilities, __A);
long  acms_reply_to_stream_io      (ACMSID *connect, ACMSID *stream,
                                    long *status);
long  acms_reply_to_stream_io_a    (ACMSID *connect, ACMSID *stream,
                                    long *status, __A);
long  acms_sign_in                 (ACMSID *submitter, desc *user, desc *device,
                                    void *cancelfct, void *parm);
long  acms_sign_in_a               (ACMSID *submitter, desc *user, desc *device,
                                    void *cancelfct, void *parm, __A);
long  acms_sign_out                (ACMSID *submitter, long *flag);
long  acms_sign_out_a              (ACMSID *submitter, long *flag, __A);
long  acms_signal                  (ACSB *acsb);
long  acms_start_call              (ACMSID *submitter, ACMSID *procedure,
                                    ACMSID *callid, void *args, long *);
long  acms_start_call_a            (ACMSID *submitter, ACMSID *procedure,
                                    ACMSID *callid, void *args, long *, __A);
long  acms_term_exchange_io        (ACMSID *submitter);
long  acms_term_exchange_io_a      (ACMSID *submitter, __A);
long  acms_wait                    (ACSB *acsb);
long  acms_wait_for_call_end       (ACMSID *submitter, ACMSID *callid);
long  acms_wait_for_call_end_a     (ACMSID *submitter, ACMSID *callid, __A);
long  acms_wait_for_stream_io      (ACMSID *connect, desc **in, desc **out,
                                    ACMSID *stream,
                                    void *cancelfct, void *parm);
long  acms_wait_for_stream_io_a    (ACMSID *connect, desc **in, desc **out,
                                    ACMSID *stream, __A,
                                    void *cancelfct, void *parm);

long  lib_create_vm_zone           (long *zone, long *alg, long *arg, ...);
long  lib_free_vm                  (long *size, char **addr, long *zone);
long  lib_get_vm                   (long *size, char **addr, long *zone);
long  lib_get_symbol               (desc *symbol, desc *value, word *length);
long  lib_movc3                    (long *size, char *src, char *dest);
long  lib_wait                     (long *time);
long  ppl_create_application       (long *size, desc *name, ...);
long  ppl_create_semaphore         (long *sema, desc *name, ...);
long  ppl_create_shared_memory     (desc *name, mem_descriptor *area, ...);
long  ppl_create_vm_zone           (long *zone, long *alg, long *arg, ...);
long  ppl_decrement_semaphore      (long *sema);
long  ppl_increment_semaphore      (long *sema);
long  ppl_terminate                (long flags);
long  sys_assign                   (desc *device, long *channel, long acmode,
                                    desc *mailbox, long flags);
long  sys_cancel                   (long channel);
long  sys_clref                    (long efn);
long  sys_crelnm                   (long *attr, desc *table, desc *logname,
                                    long, lnm_descriptor *);
long  sys_crembx                   (long prmglf, long *channel, long maxmsg,
                                    long bufquo, long promsk, long acmode,
                                    desc *name, long rdmode, long flags);
long  sys_dassgn                   (long channel);
long  sys_dclast                   (void *fct, void *parm, long mode);
long  sys_delmbx                   (long channel);
long  sys_exit                     (long code);
long  sys_getdvi                   (long efn, long channel, desc *devname,
                                    void *ItemList, IOSB *iosb,
                                    void *fct, void *parm, long nullparam);
long  sys_getdviw                  (long efn, long channel, desc *devname,
                                    void *ItemList, IOSB *iosb,
                                    void *fct, void *parm, long nullparam);
long  sys_getmsg                   (long msgid, word *msglen, desc *msgdesc,
                                    long flags, long outadr);
long  sys_hiber                    (void);
long  sys_qio                      (long efn, long channel, long func,
                                    IOSB *iosb, void *fct, void *parm, ...);
long  sys_qiow                     (long efn, long channel, long func,
                                    IOSB *iosb, void *fct, void *parm, ...);
long  sys_setef                    (long efn);
long  sys_sndopr                   (desc *buffer, long channel);
long  sys_trnlnm                   (long *, desc *table, desc *name, long *,
                                    lnm_descriptor *);
long  sys_wake                     (long *pid, desc *pname);

long  lib_adawi                    ();
long  lib_add_times                ();
long  lib_addx                     ();
long  lib_analyze_sdesc            ();
long  lib_asn_wth_mbx              ();
char  lib_ast_in_prog              ();
long  lib_attach                   ();
long  lib_bbcci                    ();
long  lib_bbssi                    ();
long  lib_callg                    ();
long  lib_char                     ();
long  lib_convert_date_string      ();
long  lib_crc                      ();
long  lib_crc_table                ();
long  lib_create_dir               ();
long  lib_create_user_vm_zone      ();
long  lib_crf_ins_key              ();
long  lib_crf_ins_ref              ();
long  lib_crf_output               ();
long  lib_currency                 ();
long  lib_cvt_dtb                  ();
long  lib_cvt_dx_dx                ();
long  lib_cvt_from_internal_time   ();
long  lib_cvt_htb                  ();
long  lib_cvt_otb                  ();
long  lib_cvt_to_internal_time     ();
long  lib_cvt_vectim               ();
long  lib_cvtf_from_internal_time  ();
long  lib_cvtf_to_internal_time    ();
long  lib_date_time                ();
long  lib_day                      ();
long  lib_day_of_week              ();
long  lib_dec_over                 ();
long  lib_decode_fault             ();
long  lib_delete_file              ();
long  lib_delete_logical           ();
long  lib_delete_symbol            ();
long  lib_delete_vm_zone           ();
long  lib_digit_sep                ();
long  lib_disable_ctrl             ();
long  lib_do_command               ();
long  lib_ediv                     ();
long  lib_emodd                    ();
long  lib_emodf                    ();
long  lib_emodg                    ();
long  lib_emodh                    ();
long  lib_emul                     ();
long  lib_enable_ctrl              ();
long *lib_establish                ();
long  lib_extv                     ();
long  lib_extzv                    ();
long  lib_ffc                      ();
long  lib_ffs                      ();
long  lib_fid_to_name              ();
long  lib_file_scan                ();
long  lib_file_scan_end            ();
long  lib_find_file                ();
long  lib_find_file_end            ();
long  lib_find_image_symbol        ();
long  lib_find_vm_zone             ();
long  lib_fixup_flt                ();
long  lib_flt_under                ();
long  lib_format_date_time         ();
long  lib_free_date_time_context   ();
long  lib_free_ef                  ();
long  lib_free_lun                 ();
long  lib_free_timer               ();
long  lib_free_vm_page             ();
long  lib_get_command              ();
long  lib_get_common               ();
long  lib_get_date_format          ();
long  lib_get_ef                   ();
long  lib_get_foreign              ();
long  lib_get_input                ();
long  lib_get_lun                  ();
long  lib_get_maximum_date_length  ();
long  lib_get_users_language       ();
long  lib_get_vm_page              ();
long  lib_getdvi                   ();
long  lib_getjpi                   ();
long  lib_getqui                   ();
long  lib_getsyi                   ();
long  lib_ichar                    ();
long  lib_index                    ();
long  lib_init_date_time_context   ();
long  lib_init_timer               ();
long  lib_insert_tree              ();
long  lib_insqhi                   ();
long  lib_insqti                   ();
long  lib_insv                     ();
long  lib_int_over                 ();
word  lib_len                      ();
long  lib_locc                     ();
long  lib_lookup_key               ();
long  lib_lookup_tree              ();
long  lib_lp_lines                 ();
long  lib_match_cond               ();
long  lib_matchc                   ();
long  lib_movc5                    ();
long  lib_movtc                    ();
long  lib_movtuc                   ();
long  lib_mult_delta_time          ();
long  lib_multf_delta_time         ();
long  lib_pause                    ();
long  lib_polyd                    ();
long  lib_polyf                    ();
long  lib_polyg                    ();
long  lib_polyh                    ();
long  lib_put_common               ();
long  lib_put_output               ();
long  lib_radix_point              ();
long  lib_remqhi                   ();
long  lib_remqti                   ();
long  lib_rename_file              ();
long  lib_reserve_ef               ();
long  lib_reset_vm_zone            ();
long *lib_revert                   ();
long  lib_run_program              ();
long  lib_scanc                    ();
long  lib_scopy_dxdx               ();
long  lib_scopy_r_dx               ();
long  lib_set_logical              ();
long  lib_set_symbol               ();
long  lib_sfree1_dd                ();
long  lib_sfreen_dd                ();
long  lib_sget1_dd                 ();
long  lib_show_timer               ();
long  lib_show_vm                  ();
long  lib_show_vm_zone             ();
long  lib_sig_to_ret               ();
long  lib_sig_to_stop              ();
long  lib_signal                   ();
long  lib_sim_trap                 ();
long  lib_skpc                     ();
long  lib_spanc                    ();
long  lib_spawn                    ();
long  lib_stat_timer               ();
long  lib_stat_vm                  ();
long  lib_stat_vm_zone             ();
long  lib_stop                     ();
long  lib_sub_times                ();
long  lib_subx                     ();
long  lib_sys_asctim               ();
long  lib_sys_fao                  ();
long  lib_sys_faol                 ();
long  lib_sys_getmsg               ();
long  lib_sys_trnlog               ();
long  lib_tparse                   ();
long  lib_tra_asc_ebc              ();
long  lib_tra_ebc_asc              ();
long  lib_traverse_tree            ();
long  lib_trim_filespec            ();
long  lib_verify_vm_zone           ();
long  ppl_adjust_quorum            ();
long  ppl_await_event              ();
long  ppl_create_barrier           ();
long  ppl_create_event             ();
long  ppl_create_spin_lock         ();
long  ppl_delete_shared_memory     ();
long  ppl_enable_event_ast         ();
long  ppl_enable_event_signal      ();
long  ppl_find_synch_element_id    ();
long  ppl_flush_shared_memory      ();
long  ppl_get_index                ();
long  ppl_index_to_pid             ();
long  ppl_initialize               ();
long  ppl_pid_to_index             ();
long  ppl_read_barrier             ();
long  ppl_read_event               ();
long  ppl_read_semaphore           ();
long  ppl_release_spin_lock        ();
long  ppl_seize_spin_lock          ();
long  ppl_set_quorum               ();
long  ppl_spawn                    ();
long  ppl_stop                     ();
long  ppl_trigger_event            ();
long  ppl_unique_name              ();
long  ppl_wait_at_barrier          ();
long  sys_add_holder               ();
long  sys_add_ident                ();
long  sys_adjstk                   ();
long  sys_adjwsl                   ();
long  sys_alloc                    ();
long  sys_ascefc                   ();
long  sys_asctim                   ();
long  sys_asctoid                  ();
long  sys_bintim                   ();
long  sys_brdcst                   ();
long  sys_brkthru                  ();
long  sys_brkthruw                 ();
long  sys_canexh                   ();
long  sys_cantim                   ();
long  sys_canwak                   ();
long  sys_change_acl               ();
long  sys_change_class             ();
long  sys_check_access             ();
long  sys_chkpro                   ();
long  sys_close                    ();
long  sys_cmexec                   ();
long  sys_cmkrnl                   ();
long  sys_cntreg                   ();
long  sys_connect                  ();
long  sys_create                   ();
long  sys_create_rdb               ();
long  sys_crelnt                   ();
long  sys_crelog                   ();
long  sys_creprc                   ();
long  sys_cretva                   ();
long  sys_crmpsc                   ();
long  sys_dacefc                   ();
long  sys_dalloc                   ();
long  sys_dclcmh                   ();
long  sys_dclexh                   ();
long  sys_delete                   ();
long  sys_dellnm                   ();
long  sys_dellog                   ();
long  sys_delprc                   ();
long  sys_deltva                   ();
long  sys_deq                      ();
long  sys_dgblsc                   ();
long  sys_disconnect               ();
long  sys_dismou                   ();
long  sys_display                  ();
long  sys_dlcefc                   ();
long  sys_enq                      ();
long  sys_enqw                     ();
long  sys_enter                    ();
long  sys_erapat                   ();
long  sys_erase                    ();
long  sys_expreg                   ();
long  sys_extend                   ();
long  sys_fao                      ();
long  sys_faol                     ();
long  sys_filescan                 ();
long  sys_find                     ();
long  sys_find_held                ();
long  sys_find_holder              ();
long  sys_finish_rdb               ();
long  sys_flush                    ();
long  sys_forcex                   ();
long  sys_format_acl               ();
long  sys_format_class             ();
long  sys_free                     ();
long  sys_get                      ();
long  sys_getchn                   ();
long  sys_getdev                   ();
long  sys_getjpi                   ();
long  sys_getjpiw                  ();
long  sys_getlki                   ();
long  sys_getlkiw                  ();
long  sys_getpti                   ();
long  sys_getqui                   ();
long  sys_getquiw                  ();
long  sys_getsyi                   ();
long  sys_getsyiw                  ();
long  sys_gettim                   ();
long  sys_getuai                   ();
long  sys_grant_license            ();
long  sys_grantid                  ();
long  sys_idtoasc                  ();
long  sys_imgact                   ();
long  sys_imgfix                   ();
long  sys_lckpag                   ();
long  sys_lkwset                   ();
long  sys_mgblsc                   ();
long  sys_mod_holder               ();
long  sys_mod_ident                ();
long  sys_modify                   ();
long  sys_mount                    ();
long  sys_mtaccess                 ();
long  sys_numtim                   ();
long  sys_nxtvol                   ();
long  sys_open                     ();
long  sys_parse                    ();
long  sys_parse_acl                ();
long  sys_parse_class              ();
long  sys_purgws                   ();
long  sys_put                      ();
long  sys_putmsg                   ();
long  sys_read                     ();
long  sys_readef                   ();
long  sys_release                  ();
long  sys_release_license          ();
long  sys_rem_holder               ();
long  sys_rem_ident                ();
long  sys_remove                   ();
long  sys_rename                   ();
long  sys_resume                   ();
long  sys_revokid                  ();
long  sys_rewind                   ();
long  sys_rundwn                   ();
long  sys_schdwk                   ();
long  sys_search                   ();
long  sys_setast                   ();
long  sys_setexv                   ();
long  sys_setime                   ();
long  sys_setimr                   ();
long  sys_setpfm                   ();
long  sys_setpra                   ();
long  sys_setpri                   ();
long  sys_setprn                   ();
long  sys_setprt                   ();
long  sys_setprv                   ();
long  sys_setrwm                   ();
long  sys_setsfm                   ();
long  sys_setssf                   ();
long  sys_setstk                   ();
long  sys_setswm                   ();
long  sys_setuai                   ();
long  sys_sndacc                   ();
long  sys_snderr                   ();
long  sys_sndjbc                   ();
long  sys_sndjbcw                  ();
long  sys_sndsmb                   ();
long  sys_space                    ();
long  sys_suspnd                   ();
long  sys_synch                    ();
long  sys_trnlog                   ();
long  sys_truncate                 ();
long  sys_ulkpag                   ();
long  sys_ulwset                   ();
long  sys_unwind                   ();
long  sys_update                   ();
long  sys_updsec                   ();
long  sys_updsecw                  ();
long  sys_wait                     ();
long  sys_waitfr                   ();
long  sys_wfland                   ();
long  sys_wflor                    ();
long  sys_write                    ();
#endif     /*  End definitions for MS-DOS                                    */


#ifdef VAX
#define acms_call                    acms$call
#define acms_call_a                  acms$call_a
#define acms_cancel_call             acms$cancel_call
#define acms_cancel_call_a           acms$cancel_call_a
#define acms_get_procedure_info      acms$get_procedure_info
#define acms_get_procedure_info_a    acms$get_procedure_info_a
#define acms_init_exchange_io        acms$init_exchange_io
#define acms_init_exchange_io_a      acms$init_exchange_io_a
#define acms_reply_to_stream_io      acms$reply_to_stream_io
#define acms_reply_to_stream_io_a    acms$reply_to_stream_io_a
#define acms_sign_in                 acms$sign_in
#define acms_sign_in_a               acms$sign_in_a
#define acms_sign_out                acms$sign_out
#define acms_sign_out_a              acms$sign_out_a
#define acms_signal                  acms$signal
#define acms_start_call              acms$start_call
#define acms_start_call_a            acms$start_call_a
#define acms_term_exchange_io        acms$term_exchange_io
#define acms_term_exchange_io_a      acms$term_exchange_io_a
#define acms_wait                    acms$wait
#define acms_wait_for_call_end       acms$wait_for_call_end
#define acms_wait_for_call_end_a     acms$wait_for_call_end_a
#define acms_wait_for_stream_io      acms$wait_for_stream_io
#define acms_wait_for_stream_io_a    acms$wait_for_stream_io_a
#define lib_adawi                    lib$adawi
#define lib_add_times                lib$add_times
#define lib_addx                     lib$addx
#define lib_analyze_sdesc            lib$analyze_sdesc
#define lib_asn_wth_mbx              lib$asn_wth_mbx
#define lib_ast_in_prog              lib$ast_in_prog
#define lib_attach                   lib$attach
#define lib_bbcci                    lib$bbcci
#define lib_bbssi                    lib$bbssi
#define lib_callg                    lib$callg
#define lib_char                     lib$char
#define lib_convert_date_string      lib$convert_date_string
#define lib_crc                      lib$crc
#define lib_crc_table                lib$crc_table
#define lib_create_dir               lib$create_dir
#define lib_create_user_vm_zone      lib$create_user_vm_zone
#define lib_create_vm_zone           lib$create_vm_zone
#define lib_crf_ins_key              lib$crf_ins_key
#define lib_crf_ins_ref              lib$crf_ins_ref
#define lib_crf_output               lib$crf_output
#define lib_currency                 lib$currency
#define lib_cvt_dtb                  lib$cvt_dtb
#define lib_cvt_dx_dx                lib$cvt_dx_dx
#define lib_cvt_from_internal_time   lib$cvt_from_internal_time
#define lib_cvt_htb                  lib$cvt_htb
#define lib_cvt_otb                  lib$cvt_otb
#define lib_cvt_to_internal_time     lib$cvt_to_internal_time
#define lib_cvt_vectim               lib$cvt_vectim
#define lib_cvtf_from_internal_time  lib$cvtf_from_internal_time
#define lib_cvtf_to_internal_time    lib$cvtf_to_internal_time
#define lib_date_time                lib$date_time
#define lib_day                      lib$day
#define lib_day_of_week              lib$day_of_week
#define lib_dec_over                 lib$dec_over
#define lib_decode_fault             lib$decode_fault
#define lib_delete_file              lib$delete_file
#define lib_delete_logical           lib$delete_logical
#define lib_delete_symbol            lib$delete_symbol
#define lib_delete_vm_zone           lib$delete_vm_zone
#define lib_digit_sep                lib$digit_sep
#define lib_disable_ctrl             lib$disable_ctrl
#define lib_do_command               lib$do_command
#define lib_ediv                     lib$ediv
#define lib_emodd                    lib$emodd
#define lib_emodf                    lib$emodf
#define lib_emodg                    lib$emodg
#define lib_emodh                    lib$emodh
#define lib_emul                     lib$emul
#define lib_enable_ctrl              lib$enable_ctrl
#define lib_establish                lib$establish
#define lib_extv                     lib$extv
#define lib_extzv                    lib$extzv
#define lib_ffc                      lib$ffc
#define lib_ffs                      lib$ffs
#define lib_fid_to_name              lib$fid_to_name
#define lib_file_scan                lib$file_scan
#define lib_file_scan_end            lib$file_scan_end
#define lib_find_file                lib$find_file
#define lib_find_file_end            lib$find_file_end
#define lib_find_image_symbol        lib$find_image_symbol
#define lib_find_vm_zone             lib$find_vm_zone
#define lib_fixup_flt                lib$fixup_flt
#define lib_flt_under                lib$flt_under
#define lib_format_date_time         lib$format_date_time
#define lib_free_date_time_context   lib$free_date_time_context
#define lib_free_ef                  lib$free_ef
#define lib_free_lun                 lib$free_lun
#define lib_free_timer               lib$free_timer
#define lib_free_vm                  lib$free_vm
#define lib_free_vm_page             lib$free_vm_page
#define lib_get_command              lib$get_command
#define lib_get_common               lib$get_common
#define lib_get_date_format          lib$get_date_format
#define lib_get_ef                   lib$get_ef
#define lib_get_foreign              lib$get_foreign
#define lib_get_input                lib$get_input
#define lib_get_lun                  lib$get_lun
#define lib_get_maximum_date_length  lib$get_maximum_date_length
#define lib_get_symbol               lib$get_symbol
#define lib_get_users_language       lib$get_users_language
#define lib_get_vm                   lib$get_vm
#define lib_get_vm_page              lib$get_vm_page
#define lib_getdvi                   lib$getdvi
#define lib_getjpi                   lib$getjpi
#define lib_getqui                   lib$getqui
#define lib_getsyi                   lib$getsyi
#define lib_ichar                    lib$ichar
#define lib_index                    lib$index
#define lib_init_date_time_context   lib$init_date_time_context
#define lib_init_timer               lib$init_timer
#define lib_insert_tree              lib$insert_tree
#define lib_insqhi                   lib$insqhi
#define lib_insqti                   lib$insqti
#define lib_insv                     lib$insv
#define lib_int_over                 lib$int_over
#define lib_len                      lib$len
#define lib_locc                     lib$locc
#define lib_lookup_key               lib$lookup_key
#define lib_lookup_tree              lib$lookup_tree
#define lib_lp_lines                 lib$lp_lines
#define lib_match_cond               lib$match_cond
#define lib_matchc                   lib$matchc
#define lib_movc3                    lib$movc3
#define lib_movc5                    lib$movc5
#define lib_movtc                    lib$movtc
#define lib_movtuc                   lib$movtuc
#define lib_mult_delta_time          lib$mult_delta_time
#define lib_multf_delta_time         lib$multf_delta_time
#define lib_pause                    lib$pause
#define lib_polyd                    lib$polyd
#define lib_polyf                    lib$polyf
#define lib_polyg                    lib$polyg
#define lib_polyh                    lib$polyh
#define lib_put_common               lib$put_common
#define lib_put_output               lib$put_output
#define lib_radix_point              lib$radix_point
#define lib_remqhi                   lib$remqhi
#define lib_remqti                   lib$remqti
#define lib_rename_file              lib$rename_file
#define lib_reserve_ef               lib$reserve_ef
#define lib_reset_vm_zone            lib$reset_vm_zone
#define lib_revert                   lib$revert
#define lib_run_program              lib$run_program
#define lib_scanc                    lib$scanc
#define lib_scopy_dxdx               lib$scopy_dxdx
#define lib_scopy_r_dx               lib$scopy_r_dx
#define lib_set_logical              lib$set_logical
#define lib_set_symbol               lib$set_symbol
#define lib_sfree1_dd                lib$sfree1_dd
#define lib_sfreen_dd                lib$sfreen_dd
#define lib_sget1_dd                 lib$sget1_dd
#define lib_show_timer               lib$show_timer
#define lib_show_vm                  lib$show_vm
#define lib_show_vm_zone             lib$show_vm_zone
#define lib_sig_to_ret               lib$sig_to_ret
#define lib_sig_to_stop              lib$sig_to_stop
#define lib_signal                   lib$signal
#define lib_sim_trap                 lib$sim_trap
#define lib_skpc                     lib$skpc
#define lib_spanc                    lib$spanc
#define lib_spawn                    lib$spawn
#define lib_stat_timer               lib$stat_timer
#define lib_stat_vm                  lib$stat_vm
#define lib_stat_vm_zone             lib$stat_vm_zone
#define lib_stop                     lib$stop
#define lib_sub_times                lib$sub_times
#define lib_subx                     lib$subx
#define lib_sys_asctim               lib$sys_asctim
#define lib_sys_fao                  lib$sys_fao
#define lib_sys_faol                 lib$sys_faol
#define lib_sys_getmsg               lib$sys_getmsg
#define lib_sys_trnlog               lib$sys_trnlog
#define lib_tparse                   lib$tparse
#define lib_tra_asc_ebc              lib$tra_asc_ebc
#define lib_tra_ebc_asc              lib$tra_ebc_asc
#define lib_traverse_tree            lib$traverse_tree
#define lib_trim_filespec            lib$trim_filespec
#define lib_verify_vm_zone           lib$verify_vm_zone
#define lib_wait                     lib$wait
#define ppl_adjust_quorum            ppl$adjust_quorum
#define ppl_await_event              ppl$await_event
#define ppl_create_application       ppl$create_application
#define ppl_create_barrier           ppl$create_barrier
#define ppl_create_event             ppl$create_event
#define ppl_create_semaphore         ppl$create_semaphore
#define ppl_create_shared_memory     ppl$create_shared_memory
#define ppl_create_spin_lock         ppl$create_spin_lock
#define ppl_create_vm_zone           ppl$create_vm_zone
#define ppl_decrement_semaphore      ppl$decrement_semaphore
#define ppl_delete_shared_memory     ppl$delete_shared_memory
#define ppl_enable_event_ast         ppl$enable_event_ast
#define ppl_enable_event_signal      ppl$enable_event_signal
#define ppl_find_synch_element_id    ppl$find_synch_element_id
#define ppl_flush_shared_memory      ppl$flush_shared_memory
#define ppl_get_index                ppl$get_index
#define ppl_increment_semaphore      ppl$increment_semaphore
#define ppl_index_to_pid             ppl$index_to_pid
#define ppl_initialize               ppl$initialize
#define ppl_pid_to_index             ppl$pid_to_index
#define ppl_read_barrier             ppl$read_barrier
#define ppl_read_event               ppl$read_event
#define ppl_read_semaphore           ppl$read_semaphore
#define ppl_release_spin_lock        ppl$release_spin_lock
#define ppl_seize_spin_lock          ppl$seize_spin_lock
#define ppl_set_quorum               ppl$set_quorum
#define ppl_spawn                    ppl$spawn
#define ppl_stop                     ppl$stop
#define ppl_terminate                ppl$terminate
#define ppl_trigger_event            ppl$trigger_event
#define ppl_unique_name              ppl$unique_name
#define ppl_wait_at_barrier          ppl$wait_at_barrier
#define sys_add_holder               sys$add_holder
#define sys_add_ident                sys$add_ident
#define sys_adjstk                   sys$adjstk
#define sys_adjwsl                   sys$adjwsl
#define sys_alloc                    sys$alloc
#define sys_ascefc                   sys$ascefc
#define sys_asctim                   sys$asctim
#define sys_asctoid                  sys$asctoid
#define sys_assign                   sys$assign
#define sys_bintim                   sys$bintim
#define sys_brdcst                   sys$brdcst
#define sys_brkthru                  sys$brkthru
#define sys_brkthruw                 sys$brkthruw
#define sys_cancel                   sys$cancel
#define sys_canexh                   sys$canexh
#define sys_cantim                   sys$cantim
#define sys_canwak                   sys$canwak
#define sys_change_acl               sys$change_acl
#define sys_change_class             sys$change_class
#define sys_check_access             sys$check_access
#define sys_chkpro                   sys$chkpro
#define sys_close                    sys$close
#define sys_clref                    sys$clref
#define sys_cmexec                   sys$cmexec
#define sys_cmkrnl                   sys$cmkrnl
#define sys_cntreg                   sys$cntreg
#define sys_connect                  sys$connect
#define sys_create                   sys$create
#define sys_create_rdb               sys$create_rdb
#define sys_crelnm                   sys$crelnm
#define sys_crelnt                   sys$crelnt
#define sys_crelog                   sys$crelog
#define sys_crembx                   sys$crembx
#define sys_creprc                   sys$creprc
#define sys_cretva                   sys$cretva
#define sys_crmpsc                   sys$crmpsc
#define sys_dacefc                   sys$dacefc
#define sys_dalloc                   sys$dalloc
#define sys_dassgn                   sys$dassgn
#define sys_dclast                   sys$dclast
#define sys_dclcmh                   sys$dclcmh
#define sys_dclexh                   sys$dclexh
#define sys_delete                   sys$delete
#define sys_dellnm                   sys$dellnm
#define sys_dellog                   sys$dellog
#define sys_delmbx                   sys$delmbx
#define sys_delprc                   sys$delprc
#define sys_deltva                   sys$deltva
#define sys_deq                      sys$deq
#define sys_dgblsc                   sys$dgblsc
#define sys_disconnect               sys$disconnect
#define sys_dismou                   sys$dismou
#define sys_display                  sys$display
#define sys_dlcefc                   sys$dlcefc
#define sys_enq                      sys$enq
#define sys_enqw                     sys$enqw
#define sys_enter                    sys$enter
#define sys_erapat                   sys$erapat
#define sys_erase                    sys$erase
#define sys_exit                     sys$exit
#define sys_expreg                   sys$expreg
#define sys_extend                   sys$extend
#define sys_fao                      sys$fao
#define sys_faol                     sys$faol
#define sys_filescan                 sys$filescan
#define sys_find                     sys$find
#define sys_find_held                sys$find_held
#define sys_find_holder              sys$find_holder
#define sys_finish_rdb               sys$finish_rdb
#define sys_flush                    sys$flush
#define sys_forcex                   sys$forcex
#define sys_format_acl               sys$format_acl
#define sys_format_class             sys$format_class
#define sys_free                     sys$free
#define sys_get                      sys$get
#define sys_getchn                   sys$getchn
#define sys_getdev                   sys$getdev
#define sys_getdvi                   sys$getdvi
#define sys_getdviw                  sys$getdviw
#define sys_getjpi                   sys$getjpi
#define sys_getjpiw                  sys$getjpiw
#define sys_getlki                   sys$getlki
#define sys_getlkiw                  sys$getlkiw
#define sys_getmsg                   sys$getmsg
#define sys_getpti                   sys$getpti
#define sys_getqui                   sys$getqui
#define sys_getquiw                  sys$getquiw
#define sys_getsyi                   sys$getsyi
#define sys_getsyiw                  sys$getsyiw
#define sys_gettim                   sys$gettim
#define sys_getuai                   sys$getuai
#define sys_grant_license            sys$grant_license
#define sys_grantid                  sys$grantid
#define sys_hiber                    sys$hiber
#define sys_idtoasc                  sys$idtoasc
#define sys_imgact                   sys$imgact
#define sys_imgfix                   sys$imgfix
#define sys_lckpag                   sys$lckpag
#define sys_lkwset                   sys$lkwset
#define sys_mgblsc                   sys$mgblsc
#define sys_mod_holder               sys$mod_holder
#define sys_mod_ident                sys$mod_ident
#define sys_modify                   sys$modify
#define sys_mount                    sys$mount
#define sys_mtaccess                 sys$mtaccess
#define sys_numtim                   sys$numtim
#define sys_nxtvol                   sys$nxtvol
#define sys_open                     sys$open
#define sys_parse                    sys$parse
#define sys_parse_acl                sys$parse_acl
#define sys_parse_class              sys$parse_class
#define sys_purgws                   sys$purgws
#define sys_put                      sys$put
#define sys_putmsg                   sys$putmsg
#define sys_qio                      sys$qio
#define sys_qiow                     sys$qiow
#define sys_read                     sys$read
#define sys_readef                   sys$readef
#define sys_release                  sys$release
#define sys_release_license          sys$release_license
#define sys_rem_holder               sys$rem_holder
#define sys_rem_ident                sys$rem_ident
#define sys_remove                   sys$remove
#define sys_rename                   sys$rename
#define sys_resume                   sys$resume
#define sys_revokid                  sys$revokid
#define sys_rewind                   sys$rewind
#define sys_rundwn                   sys$rundwn
#define sys_schdwk                   sys$schdwk
#define sys_search                   sys$search
#define sys_setast                   sys$setast
#define sys_setef                    sys$setef
#define sys_setexv                   sys$setexv
#define sys_setime                   sys$setime
#define sys_setimr                   sys$setimr
#define sys_setpfm                   sys$setpfm
#define sys_setpra                   sys$setpra
#define sys_setpri                   sys$setpri
#define sys_setprn                   sys$setprn
#define sys_setprt                   sys$setprt
#define sys_setprv                   sys$setprv
#define sys_setrwm                   sys$setrwm
#define sys_setsfm                   sys$setsfm
#define sys_setssf                   sys$setssf
#define sys_setstk                   sys$setstk
#define sys_setswm                   sys$setswm
#define sys_setuai                   sys$setuai
#define sys_sndacc                   sys$sndacc
#define sys_snderr                   sys$snderr
#define sys_sndjbc                   sys$sndjbc
#define sys_sndjbcw                  sys$sndjbcw
#define sys_sndopr                   sys$sndopr
#define sys_sndsmb                   sys$sndsmb
#define sys_space                    sys$space
#define sys_suspnd                   sys$suspnd
#define sys_synch                    sys$synch
#define sys_trnlnm                   sys$trnlnm
#define sys_trnlog                   sys$trnlog
#define sys_truncate                 sys$truncate
#define sys_ulkpag                   sys$ulkpag
#define sys_ulwset                   sys$ulwset
#define sys_unwind                   sys$unwind
#define sys_update                   sys$update
#define sys_updsec                   sys$updsec
#define sys_updsecw                  sys$updsecw
#define sys_wait                     sys$wait
#define sys_waitfr                   sys$waitfr
#define sys_wake                     sys$wake
#define sys_wfland                   sys$wfland
#define sys_wflor                    sys$wflor
#define sys_write                    sys$write

#endif     /*  End definitions for VAX/VMS                                   */

/*- These constants were taken from STARLET via SYMBOLS.MAR -----------------*/

#define IO_M_READERCHECK                  0x0100
#define IO_M_WRITERCHECK                  0x0200
#define IO_M_LT_SENSEMODE                 0x4000
#define IO_M_LT_SETMODE                   0x2000
#define LAT_C_ENT_NODE                    0x0001
#define LAT_C_ENT_PORT                    0x0004
#define LAT_C_ENT_SERVICE                 0x0002
#define LAT_C_ENTS_DEL                    0x0003
#define LAT_C_ENTS_OLD                    0x0000
#define LAT_C_ENTS_UNK                    0x0002
#define LAT_C_PT_DEDICATED                0x0003
#define LAT_C_ST_APPLICATION              0x0001
#define LAT_ITM_CONNECTED_PORT_NAME       0x4106
#define LAT_ITM_CONNECTED_SERVICE_NAME    0x4104
#define LAT_ITM_DISCONNECT_REASON         0x0013
#define LAT_ITM_IDENTIFICATION            0x4100
#define LAT_ITM_PORT_NAME                 0x4103
#define LAT_ITM_PORT_TYPE                 0x0011
#define LAT_ITM_SERVICE_NAME              0x4101
#define LAT_ITM_SERVICE_TYPE              0x0015
#define LAT_ITM_TARGET_PORT_NAME          0x4109
#define LAT_ITM_TARGET_SERVICE_NAME       0x4107
#define LAT_V_SENSE_FULL                  0x0001
#define LAT_V_STRING                      0x000E
#define SS_NOREADER                       0x24C4
#define SS_NOWRITER                       0x24CC


/*- Functions for QIO on LAT ports ------------------------------------------*/

#define LAT_MOD_PORT        LAT_C_ENT_PORT    + (LAT_C_ENTS_UNK << 16)
#define LAT_MOD_SERVICE     LAT_C_ENT_SERVICE + (LAT_C_ENTS_UNK << 16)
#define LAT_DEL_PORT        LAT_C_ENT_PORT    + (LAT_C_ENTS_DEL << 16)
#define LAT_DEL_SERVICE     LAT_C_ENT_SERVICE + (LAT_C_ENTS_DEL << 16)
#define LAT_GET_PORT        LAT_C_ENT_PORT + (1 << (LAT_V_SENSE_FULL + 16))
#define LAT_CONNECT         IO_TTY_PORT + IO_M_LT_CONNECT
#define LAT_DISCON          IO_TTY_PORT + IO_M_LT_DISCON
#define LAT_SENSEMODE       IO_TTY_PORT + IO_M_LT_SENSEMODE
#define LAT_SETMODE         IO_TTY_PORT + IO_M_LT_SETMODE

#define LAT_GREETING_MAX        64      /*  Max size of greeting string      */
#define LAT_SERVICE_MAX         16      /*  Max size of service name         */
#define DEVNAME_MAX             64      /*  Max size of device name          */
#define PORTNAME_MAX            64      /*  Max size of port name            */
#define SYSNAME_MAX             15      /*  Max size of system name          */
#define PROCNAME_MAX            15      /*  Max size of processname          */

typedef struct {                        /*  Item list defines service        */
    word Item_1;
    long Value_1;
    word Item_2;                        /*  This item must be at the end of  */
    byte Length;                        /*  the list: it gets truncated      */
    char Greeting [LAT_GREETING_MAX];   /*  Greeting text goes here          */
} LAT_SERVICE_LIST;

typedef struct {                        /*  Minimum item list for service    */
    word Item_1;
    long Value_1;
} LAT_SERVICE_LIST_MIN;

typedef struct {                        /*  Item list defines port           */
    word Item_1;
    long Value_1;
    word Item_2;                        /*  This item must be at the end of  */
    byte Length;                        /*  the list: it gets truncated      */
    char Service [LAT_SERVICE_MAX];     /*  Service name goes here           */
} LAT_PORT_LIST;

/*- These constants were taken from SYS$LIBRARY:ACMSREQ.RLB -----------------*/

#define ACMS_K_CONNECT_ID          3
#define ACMS_K_DELAY               3
#define ACMS_K_IO_DECFORMS         5
#define ACMS_K_IO_NONE             1
#define ACMS_K_IO_REQUEST          4
#define ACMS_K_IO_STREAM           3
#define ACMS_K_IO_TERMINAL         2
#define ACMS_K_NO_ACTION           1
#define ACMS_K_PROC_IO_METHOD      2
#define ACMS_K_PROC_PROCEDURE_ID   1
#define ACMS_K_WAIT                2
#define ACMS_M_DECFORMS_AVAILABLE  2
#define ACMS_M_DISABLE_TDMS        2
#define ACMS_M_FORCE_AGENT_IO      1
#define ACMS_M_FORCE_ASYNC_RI      4
#define ACMS_M_IO_DISABLE_DECFORMS 8
#define ACMS_M_IO_DISABLE_TDMS     4
#define ACMS_M_IO_ENABLE_ASYNC_RI  2
#define ACMS_M_IO_ENABLE_SYNC_RI   1
#define ACMS_M_RI_AVAILABLE        8
#define ACMS_M_STREAM_AVAILABLE    4
#define ACMS_M_TDMS_AVAILABLE      1

/*- Structures for ACMS systems interface -----------------------------------*/

typedef struct {                        /*  Item list for init_exchange_io   */
    word  Size;                         /*    Size:= 8                       */
    word  Code;                         /*    Type of ID wanted              */
    void *Addr;                         /*    Points to ID block             */
    long  RetLen;                       /*    Returned length: may be 0      */
    long  Term;                         /*    Terminator;= 0                 */
} ACMS_ITEM_LIST;

typedef struct {                        /*  Argument list for call proc      */
    long    ArgC;                       /*    Number of args;= 3             */
    desc   *Select;                     /*    Should be zero                 */
    desc   *Status;                     /*    Extended status descriptor     */
    ACMSID *ExchId;                     /*    Points to ExchangeId           */
} ACMS_CALL_LIST;

/*- Other VMS interface structures ------------------------------------------*/

typedef struct {                        /*  File ID Block                    */
    word fid_w_num;                     /*    File number                    */
    word fid_w_seq;                     /*    File sequence number           */
    word fid_w_rvn;                     /*    Relative volume number         */
} FID;

typedef struct {                        /*  Request for SYS_SNDOPR           */
    long TypeTarget;                    /*    Request type;= OPC_RQ_RQST     */
                                        /*                 + OPERATOR << 8   */
    long ReqId;                         /*    Request Id;= 0                 */
    char Buffer [LINE_MAX];             /*    Message text                   */
} OPRREQ;

#define OPRREQ_HEADER_SIZE       (sizeof (OPRREQ) - LINE_MAX)

#endif
